package pps.core.common.config;

import xstartup.annotation.XConfig;
import xstartup.config.XConfigMetadata;
import xstartup.config.XIntegerConfigItem;
import xstartup.config.XStringConfigItem;

/**
 * @author lixueyan
 * @date 2022/8/4 0007 12:44
 */

/**
 * mq topic 配置类
 */
@XConfig
public class MqConfig {
    //消费时间间隔
    public static final XIntegerConfigItem consumeInterval = XConfigMetadata.register(MqConfig.class,"consumeInterval",XIntegerConfigItem.class);
    //访问日志topic
    public static final XStringConfigItem accessLogMq = XConfigMetadata.register(MqConfig.class,"accessLogMq",XStringConfigItem.class);
    //新老pps交互日志topic
    public static final XStringConfigItem transferLogMq = XConfigMetadata.register(MqConfig.class,"transferLogMq",XStringConfigItem.class);

    //新系统至老系统的表单数据mq通道
    public static final XStringConfigItem newToOldFormMq = XConfigMetadata.register(MqConfig.class,"newToOldFormMq",XStringConfigItem.class);
    //新系统至老系统的表单数据mq通道-开关（0：关，1：开）
    public static final XIntegerConfigItem newToOldFormMqSwitch = XConfigMetadata.register(MqConfig.class,"newToOldFormMqSwitch",XIntegerConfigItem.class);

    //新系统至分析系统的表单数据mq通道
    public static final XStringConfigItem toAnalysisMq = XConfigMetadata.register(MqConfig.class,"toAnalysisMq",XStringConfigItem.class);
    //新系统至分析系统的表单数据mq通道-开关（0：关，1：开）
    public static final XIntegerConfigItem toAnalysisMqSwitch = XConfigMetadata.register(MqConfig.class,"toAnalysisMqSwitch",XIntegerConfigItem.class);
    //新系统删除分析系统的表单数据mq通道
    public static final XStringConfigItem removeAnalysisMq = XConfigMetadata.register(MqConfig.class,"removeAnalysisMq",XStringConfigItem.class);


    //老pps 日指定mq topic
    public static final XStringConfigItem oldToNewMq = XConfigMetadata.register(MqConfig.class,"oldToNewMq",XStringConfigItem.class);

    //生成pdf topic
    public static final XStringConfigItem createPDFMq = XConfigMetadata.register(MqConfig.class,"createPDFMq",XStringConfigItem.class);

    //推送原油计量凭证 topic
    public static final XStringConfigItem pushMeasureDataMq = XConfigMetadata.register(MqConfig.class,"pushMeasureDataMq",XStringConfigItem.class);

    //推送原油计量凭证 topic
    public static final XStringConfigItem pushSchedulDataMq = XConfigMetadata.register(MqConfig.class,"pushScheduleDataMq",XStringConfigItem.class);

    //发送消息 topic
    public static final XStringConfigItem sysInformSendMq = XConfigMetadata.register(MqConfig.class,"sysInformSendMq",XStringConfigItem.class);

    //ack Ims topic
    public static final XStringConfigItem ackImsMq = XConfigMetadata.register(MqConfig.class,"ackImsMq",XStringConfigItem.class);

    //生成pdf topic
    public static final XStringConfigItem CommonTraceLogMq = XConfigMetadata.register(MqConfig.class,"CommonTraceLogMq",XStringConfigItem.class);

}
