package pps.core.common.config;

import pps.core.common.utils.TimeSpanChecker;
import xstartup.annotation.XConfig;
import xstartup.base.XContext;
import xstartup.config.XBooleanConfigItem;
import xstartup.config.XConfigMetadata;

@XConfig
public class TraceLogConfig {

    /**
     * 是否使用微服务调用
     */
    private static boolean blnTraceLog = true;
    private static TimeSpanChecker checker = new TimeSpanChecker(60, false);

    public static boolean checkEnableTraceLog(XContext context) {
        try {
            if (checker.checkNow() ) {
                XBooleanConfigItem enableTraceLog = XConfigMetadata.register(TraceLogConfig.class,
                        "enabletracelog",
                        XBooleanConfigItem.class);
                blnTraceLog = enableTraceLog.getValueNotNull(context);
            }
            return blnTraceLog;
        } catch (Exception e) {
            return false;
        }

    }

    //跟踪日志配置
//    public static final XBooleanConfigItem enableTraceLog = XConfigMetadata.register(TraceLogConfig.class,
//            "enabletracelog",
//            XBooleanConfigItem.class);
}
