package pps.core.common.enums;

import xstartup.data.XFileType;

public enum FileTypeEnum {
    IMAGE_PNG(".png",XFileType.IMAGE_PNG),
    IMAGE_GIF(".gif",XFileType.IMAGE_GIF),
    IMAGE_JPEG(".jpeg",XFileType.IMAGE_JPEG),
    TEXT_HTML(".html",XFileType.TEXT_HTML),
    TEXT_PLAIN(".txt",XFileType.TEXT_PLAIN),
    TEXT_XML(".xml",XFileType.TEXT_XML),
    VIDEO_MP4(".mpeg4",XFileType.VIDEO_MP4),
    VIDEO_MP3(".mpeg3",XFileType.VIDEO_MP3),
    APPLICATION_XLSX(".xlsx",XFileType.APPLICATION_XLSX),
    APPLICATION_XLS(".xls",XFileType.APPLICATION_XLSX),
    APPLICATION_DOCX(".docx",XFileType.APPLICATION_DOCX),
    APPLICATION_DOC(".doc",XFileType.APPLICATION_DOCX),
    APPLICATION_JSON(".json",XFileType.APPLICATION_JSON),
    APPLICATION_PDF(".pdf",XFileType.APPLICATION_PDF),
    APPLICATION_ZIP(".zip",XFileType.APPLICATION_ZIP),
    OTHER("",XFileType.APPLICATION_OCTET_STREAM)
    ;


    private String attachType;
    private XFileType fileType;

    FileTypeEnum(String attachType, XFileType fileType) {
        this.attachType = attachType;
        this.fileType = fileType;
    }

    public String getAttachType() {
        return attachType;
    }

    public void setAttachType(String attachType) {
        this.attachType = attachType;
    }

    public XFileType getFileType() {
        return fileType;
    }

    public void setFileType(XFileType fileType) {
        this.fileType = fileType;
    }

    public static FileTypeEnum findByType(String attachType){
        for(FileTypeEnum e : values()){
            if( e.getAttachType() .equals(attachType) ){
                return e;
            }
        }
        return OTHER;
    }
}
