package pps.core.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * 作业计划影响状态字典
 */
public enum TaskPlanTaskAffectDic implements DictEnum {
    Affect_Upload(11,"",null),
    Affect_Upload_False(0,"否",Affect_Upload),
    Affect_Upload_True(1,"是",Affect_Upload),

    Affect_Ability(12,"",null),
    Affect_Ability_False(0,"否",Affect_Ability),
    Affect_Ability_True(1,"是（影响联络站转供能力）",Affect_Ability),
    Affect_Ability_True2(2,"是（含截断、限压、限流、干线截断阀旁通流程30min以上）",Affect_Ability),

    Affect_Venting(13,"",null),
    Affect_Venting_False(0,"否",Affect_Venting),
    Affect_Venting_True(1,"管道放空",Affect_Venting),
    Affect_Venting_True2(2,"全站放空",Affect_Venting),
    Affect_Venting_True3(3,"站内局部放空",Affect_Venting),

    Affect_SupplyGas(14,"",null),
    Affect_SupplyGas_False(0,"否",Affect_SupplyGas),
    Affect_SupplyGas_True(1,"影响重要不可中断用户供气（用户暂不同意）",Affect_SupplyGas),
    Affect_SupplyGas_True3(2,"影响重要不可中断用户供气（用户已同意）",Affect_SupplyGas),
    Affect_SupplyGas_True2(3,"影响可中断用户供气",Affect_SupplyGas),

    Affect_Run(15,"",null),
    Affect_Run_False(0,"否",Affect_Run),
    Affect_Run_True(1,"影响在用机组",Affect_Run),
    Affect_Run_True2(2,"影响备用机组",Affect_Run),

    Affect_Communication(16,"",null),
    Affect_Communication_False(0,"否",Affect_Communication),
    Affect_Communication_True(1,"是",Affect_Communication),

    Affect_Alarm(17,"",null),
    Affect_Alarm_False(0,"否",Affect_Alarm),
    Affect_Alarm_True(1,"是",Affect_Alarm),

    Affect_Other(99,"未知",null),

    ;

    @EnumValue
    private Integer value;
    private String desc;
    private TaskPlanTaskAffectDic parent;

    TaskPlanTaskAffectDic(Integer value, String desc,TaskPlanTaskAffectDic parent){
        this.desc =desc;
        this.value = value;
        this.parent = parent;
    }


    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public TaskPlanTaskAffectDic getParent() {
        return parent;
    }

    public static TaskPlanTaskAffectDic findByValue(Integer value){
        for(TaskPlanTaskAffectDic item : values()){
            if(item.getValue().equals(value)){
                return item;
            }
        }
        return Affect_Other;
    }

    public static TaskPlanTaskAffectDic findBySubValue(Integer parentValue,Integer value){
        TaskPlanTaskAffectDic parentDic = Affect_Other;
        for(TaskPlanTaskAffectDic item : values()){
            if(item.getValue().equals(parentValue)){
                parentDic = item;
            }
        }
        for(TaskPlanTaskAffectDic item : values()){
            if(item.getParent()!=null && item.getParent().equals(parentDic) && item.getValue().equals(value)){
                return item;
            }
        }
        return Affect_Other;
    }

    public static TaskPlanTaskAffectDic findBySubDesc(Integer parentValue,String desc){
        TaskPlanTaskAffectDic parentDic = Affect_Other;
        for(TaskPlanTaskAffectDic item : values()){
            if(item.getValue().equals(parentValue)){
                parentDic = item;
            }
        }
        for(TaskPlanTaskAffectDic item : values()){
            if(item.getParent()!=null && item.getParent().equals(parentDic) && item.getDesc().equals(desc)){
                return item;
            }
        }
        return Affect_Other;
    }
}
