//package pps.core.common.job;
//
//import com.google.common.base.Strings;
//import pps.core.common.utils.CounterBuilder;
//import pps.core.common.utils.DateUtil;
//import pps.core.common.utils.DynObj;
////import pps.core.common.utils.JedisHelper;
//import pps.core.common.utils.JedisHelper;
//import xstartup.annotation.XService;
//import xstartup.annotation.XText;
//import xstartup.base.XContext;
//import xstartup.base.XStartup;
//import xstartup.base.util.XJsonUtils;
//import xstartup.data.XServiceResult;
//import xstartup.service.job.XJob;
//import xstartup.service.job.annotation.XCronTrigger;
//
//import java.util.Set;
//import java.util.concurrent.locks.ReentrantLock;
//
//@XText("计数任务")
//@XService
//public class CounterJob implements XJob {
//
//    public static final String CLUSTER_GLOBAL_COUNTER = "counter.cluster_global_counter";
//    public static final String CLUSTER_GLOBAL_COUNTER_LOCK = "counter.cluster_global_counter_lock";
//    private ReentrantLock publishLock = new ReentrantLock();
//    public static boolean EnableJob = false;
//
//    @XCronTrigger(value = "0/20 * * * * ?")//XCronTrigger.PRE_30S
//    @Override
//    public XServiceResult execute(XContext context) {
//        if (!EnableJob) {
//            return XServiceResult.OK;
//        }
//
//        CounterBuilder.globalCounterBuilder.addCounter("CounterJob.Timer");
//        CounterBuilder.globalCounterBuilder.setFieldValue("CounterJob.Timer.LatestTime", DateUtil.getCurrentDateTime());
//        if (publishLock.tryLock()) {
//            DynObj dynObj = CounterBuilder.globalCounterBuilder.toDynObj();
//            dynObj.put(CounterBuilder.COUNTER_NAME_INSTANCE, CounterBuilder.globalCounterBuilder.counterId);
//            dynObj.put("__LATEST_TIMER_TIME__", DateUtil.getCurrentDateTime());
//            context.getLogger().info(XJsonUtils.toJson(dynObj));
//            long publishStart = System.currentTimeMillis();
//            publish(dynObj);
//            long publishEnd = System.currentTimeMillis();
//            CounterBuilder.globalCounterBuilder.setFieldValue("CounterJob.Publish.UsedSecnods", (publishEnd - publishStart) / 1000 + "");
//            publishLock.unlock();
//        } else {
//            CounterBuilder.globalCounterBuilder.addCounter("CounterJob.LocalLockFailed");
//        }
//        return XServiceResult.OK;
//    }
//
//    public static String getAppClusterName() {
//        String appName = XStartup.getApplication().getName();
//        String appClusterName = CLUSTER_GLOBAL_COUNTER + "_" + appName;
//        return appClusterName;
//    }
//
//    public static String getAppClusterLockName() {
//        String appName = XStartup.getApplication().getName();
//        String appClusterLockName = CLUSTER_GLOBAL_COUNTER_LOCK + "_" + appName;
//        return appClusterLockName;
//    }
//
//    private void publish(DynObj dynObj) {
//        CounterBuilder.globalCounterBuilder.addCounter("CounterJob.publish-begin");
//        try {
//            String nodeKey = String.format("counter.%s.%s", dynObj.getString(CounterBuilder.DEPLOY_KEY, "UnknownDeploy"), CounterBuilder.globalCounterBuilder.counterId);
//            dynObj.put(CounterBuilder.COUNTER_NAME_OWNER, nodeKey);
//            String cacheType = XStartup.getCurrent().getProperty("x.cache.type");
//            CounterBuilder.globalCounterBuilder.setFieldValue("CounterJob.cacheType", cacheType);
//            String appClusterName = getAppClusterName();
//            String appClusterLockName = getAppClusterLockName();
//
//            if ("redis-cluster".equals(cacheType)) {
//
//                JedisHelper.consumeDefalutJedisCluster((jedisCluster) -> {
//                    // 记录到集群中
//                    jedisCluster.sadd(appClusterName, nodeKey);
//                    // 集群3分钟过期
//                    jedisCluster.expire(appClusterName, 3 * 20);
//
//                    boolean isMaster = false;
//                    long success = jedisCluster.setnx(appClusterLockName, nodeKey);
//                    if (success != 0) {
//                        jedisCluster.expire(appClusterLockName, 40);
//                        isMaster = true;
//                    }
//                    String lockKey = jedisCluster.get(appClusterLockName);
//                    if (nodeKey.equals(lockKey)) {
//                        jedisCluster.expire(appClusterLockName, 40);
//                        isMaster = true;
//                    }
//
//                    CounterBuilder.globalCounterBuilder.setFieldValue("__MASTER__", isMaster + "");
//                    if (isMaster) {
//                        if (Strings.isNullOrEmpty(CounterBuilder.globalCounterBuilder.getFieldValue("__MASTER-TIME__"))) {
//                            CounterBuilder.globalCounterBuilder.setFieldValue("__MASTER-TIME__", DateUtil.getCurrentDateTime());
//                            CounterBuilder.globalCounterBuilder.addCounter("__MASTER-TIMES__");
//                        }
//                    }else{
//                        if (!Strings.isNullOrEmpty(CounterBuilder.globalCounterBuilder.getFieldValue("__MASTER-TIME__"))) {
//                            CounterBuilder.globalCounterBuilder.setFieldValue("__MASTER-TIME__", "");
//                        }
//                    }
//                    CounterBuilder.globalCounterBuilder.addCounter("CounterJob.PublishToRedis");
//                    CounterBuilder.globalCounterBuilder.setFieldValue("CounterJob.PublishToRedis.TIME", DateUtil.getCurrentDateTime());
//                    // 记录到redis ,3 * 30s过期
//                    jedisCluster.setex(nodeKey, 3 * 20, XJsonUtils.toJson(dynObj));
//
//                    if (isMaster) {
//                        CounterBuilder.globalCounterBuilder.addCounter("CounterJob.Timer.Locked");
//                        Set<String> nodeKeys = jedisCluster.smembers(appClusterName);
//                        nodeKeys.forEach(k -> {
//                            if (!jedisCluster.exists(k)) {
//                                jedisCluster.srem(appClusterName, k);
//                            }
//                        });
//                    } else {
//                        CounterBuilder.globalCounterBuilder.addCounter("CounterJob.Timer.NotLocked");
//                    }
//                });
//            } else {
//                JedisHelper.consumeDefalutJedis((jedis) -> {
//                    // 记录到redis ,3 * 30s过期
////                    jedis.setex(nodeKey, 3 * 20, XJsonUtils.toJson(dynObj));
////                    CounterBuilder.globalCounterBuilder.addCounter("CounterJob.PublishToRedis");
////                    CounterBuilder.globalCounterBuilder.setFieldValue("CounterJob.PublishToRedis.TIME", DateUtil.getCurrentDateTime());
//
//                    // 记录到集群中
//                    jedis.sadd(appClusterName, nodeKey);
//                    // 集群3分钟过期
//                    jedis.expire(appClusterName, 3 * 20);
//
//                    boolean isMaster = false;
//                    long success = jedis.setnx(appClusterLockName, nodeKey);
//                    if (success != 0) {
//                        jedis.expire(appClusterLockName, 40);
//                        isMaster = true;
//                    }
//                    String lockKey = jedis.get(appClusterLockName);
//                    if (nodeKey.equals(lockKey)) {
//                        jedis.expire(appClusterLockName, 40);
//                        isMaster = true;
//                    }
//
//                    CounterBuilder.globalCounterBuilder.setFieldValue("__MASTER__", isMaster + "");
//                    if (isMaster) {
//                        if (Strings.isNullOrEmpty(CounterBuilder.globalCounterBuilder.getFieldValue("__MASTER-TIME__"))) {
//                            CounterBuilder.globalCounterBuilder.setFieldValue("__MASTER-TIME__", DateUtil.getCurrentDateTime());
//                            CounterBuilder.globalCounterBuilder.addCounter("__MASTER-TIMES__");
//                        }
//                    }else{
//                        if (!Strings.isNullOrEmpty(CounterBuilder.globalCounterBuilder.getFieldValue("__MASTER-TIME__"))) {
//                            CounterBuilder.globalCounterBuilder.setFieldValue("__MASTER-TIME__", "");
//                        }
//                    }
//                    CounterBuilder.globalCounterBuilder.addCounter("CounterJob.PublishToRedis");
//                    CounterBuilder.globalCounterBuilder.setFieldValue("CounterJob.PublishToRedis.TIME", DateUtil.getCurrentDateTime());
//                    // 记录到redis ,3 * 30s过期
//                    jedis.setex(nodeKey, 3 * 20, XJsonUtils.toJson(dynObj));
//
//                    if (isMaster) {
//                        CounterBuilder.globalCounterBuilder.addCounter("CounterJob.Timer.Locked");
//                        Set<String> nodeKeys = jedis.smembers(appClusterName);
//                        nodeKeys.forEach(k -> {
//                            if (!jedis.exists(k)) {
//                                jedis.srem(appClusterName, k);
//                            }
//                        });
//                    } else {
//                        CounterBuilder.globalCounterBuilder.addCounter("CounterJob.Timer.NotLocked");
//                    }
//                });
//            }
//        } catch (Exception ex) {
//            CounterBuilder.globalCounterBuilder.addCounter(ex, this.getClass());
////            CounterBuilder.globalCounterBuilder.addCounter("Exception-" + CounterJob.class.getSimpleName() + "-" + ex.getClass().getSimpleName());
//        }
//    }
//
//}
