package pps.core.common.module;

import pps.core.common.job.CounterJob5S;
import pps.core.common.job.TempCleanJob5S;
import pps.core.common.provider.impl.PpsApiAccessLogProviderImpl;
import pps.core.common.provider.impl.PpsSessionStorageProviderImpl;
import pps.core.common.utils.CounterBuilder;
import pps.core.common.utils.FiveSecondsTimerJobHelper;
import pps.core.common.utils.ManifestComponentInfoHelper;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.XModule;
import xstartup.base.XStartup;
import xstartup.base.pattern.XProviderManager;
import xstartup.core.base.provider.spec.XSessionStorageProvider;
import xstartup.feature.api.provider.spec.XApiAccessLogProvider;

@XText("公共模块")
public class PpsCoreCommonModule extends XModule {
    protected PpsCoreCommonModule() {
        super(1000);
    }

    @Override
    protected void onStarted(XContext context) {
        //XProviderManager.setDefaultImplement(context, XDynamicPermissionProvider.class, PpsDynamicPermissionProviderImpl.class);
        //注册访问日志 实现类
        //XProviderManager.setDefaultImplement(context, XApiAccessLogProvider.class, PpsApiAccessLogProviderImpl.class);
        //session存储 实现类
        XProviderManager.setDefaultImplement(context, XSessionStorageProvider.class, PpsSessionStorageProviderImpl.class);
        // 环境
        CounterBuilder.globalCounterBuilder.setFieldValue(CounterBuilder.COUNTER_NAME_ENV, context.getEnv().getText());
        String buildTime = XStartup.getCurrent().getProperty("x.app.buildtime");
        // 环境
        CounterBuilder.globalCounterBuilder.setFieldValue(CounterBuilder.COUNTER_NAME_BUILDTIME, buildTime);
        FiveSecondsTimerJobHelper.INSTANCE.setContext(context);
        FiveSecondsTimerJobHelper.INSTANCE.register(CounterJob5S::executeJob);
        FiveSecondsTimerJobHelper.INSTANCE.register(new Runnable() {
            @Override
            public void run() {
                TempCleanJob5S.executeTimerJob(context);
            }
        });
        ManifestComponentInfoHelper.init(this.getClass().getClassLoader());
    }
}
