package pps.core.common.mq;

import pps.core.common.data.FormBizDataValue;
import xstartup.base.mq.XMqMessage;

import java.util.Arrays;
import java.util.List;
import java.util.UUID;

/**
 * @author xcd
 * @version V1.0
 * @Description: 发送给 过渡期pps的消息定义
 * @date 2022/10/13
 */
public class FormBizDataValueMessage extends XMqMessage {
    public List<FormBizDataValue> values;
    private String originalMessageId;


    public FormBizDataValueMessage() {
        setMessageTag(UUID.randomUUID().toString().replace("-", ""));
        setMessageId(UUID.randomUUID().toString().replace("-", ""));
        setMessageKey(UUID.randomUUID().toString().replace("-", ""));
    }

    public FormBizDataValueMessage(FormBizDataValue[] values) {
        this.values = Arrays.asList(values);
        setMessageTag(UUID.randomUUID().toString().replace("-", ""));
        setMessageId(UUID.randomUUID().toString().replace("-", ""));
        setMessageKey(UUID.randomUUID().toString().replace("-", ""));
    }

    public List<FormBizDataValue> getValues() {
        return values;
    }

    public void setValues(List<FormBizDataValue> values) {
        this.values = values;
    }

//    @Override
//    public String getMessageTag() {
//        return UUIDHelper.newUUID();
//    }
//
//    @Override
//    public String getMessageId() {
//        return UUIDHelper.newUUID();
//    }
//
//    @Override
//    public String getMessageKey() {
//        return UUIDHelper.newUUID();
//    }

    public String getOriginalMessageId() {
        return originalMessageId;
    }

    public void setOriginalMessageId(String originalMessageId) {
        this.originalMessageId = originalMessageId;
    }
}
