package pps.core.common.mq;

import pps.core.common.utils.CounterBuilder;
import pps.core.common.utils.JedisHelper;
import pps.core.common.utils.TraceHelper;
import xstartup.base.XContext;
import xstartup.base.XStartup;
import xstartup.base.util.XJsonUtils;

public class MessageTraceHelper {
    public static final String KEY = "Message-Trace-Log";

    public static String getKey() {
        String env = XStartup.getCurrent().getEnv().getText();
        String key = env + "-" + KEY;
        return key;
    }

    public static void consumeAMessageFromFrame(MessageTraceInfo messageTraceInfo, XContext context) {
        try {
            String cacheType = XStartup.getCurrent().getProperty("x.cache.type");
            String json = XJsonUtils.toJson(messageTraceInfo);
            String key = getKey();
            if ("redis-cluster".equals(cacheType)) {
                JedisHelper.consumeDefalutJedisCluster((jedis) -> {
                    jedis.lpush(key, json);
                    CounterBuilder.globalCounterBuilder.addCounter("consumeAMessage:" + messageTraceInfo.getMessageType());
                });
            } else {
                JedisHelper.consumeDefalutJedis((jedis) -> {
                    jedis.lpush(key, json);
                    CounterBuilder.globalCounterBuilder.addCounter("consumeAMessage:" + messageTraceInfo.getMessageType());
                });
            }
        } catch (Exception ex) {
            TraceHelper.appendTraceLog(context, ex);
        }
    }
}
