package pps.core.common.provider.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.google.common.base.Strings;
import pps.core.common.cache.ConfigCache;
import pps.core.common.entity.BaseSysConfigEnt;
import pps.core.common.mapper.BaseSysConfigMapper;
import xstartup.annotation.XImplement;
import xstartup.base.XContext;
import xstartup.kernel.system.provider.spec.XConfigProvider;

import java.util.List;

/**
 * @author lixueyan
 * @date 2022/8/5 0005 17:11
 */
//@XImplement
public class PpsConfigProviderImpl implements XConfigProvider {
    //private static Map<String,String> configMap = new ConcurrentHashMap();

    @Override
    public String findValue(XContext context, String config, String app, String key) {
        //todo 实现自定义配置逻辑， 优先级 从低到高  数据库->缓存->properties
        //从Properties文件中加载配置值
        String configKeyWithAppName = config + "." + app + "." + key;
        String configKey = config + "." + key;
        String configValueFromProperties = context.getProperty(configKeyWithAppName);
        if (Strings.isNullOrEmpty(configValueFromProperties)) {
            configValueFromProperties = context.getProperty(configKey);
        }

        //加载缓存
        final String configValueFromProperties_ = configValueFromProperties;
        ConfigCache configCache = ConfigCache.get(context, configKey, false, () -> {
            try {
                BaseSysConfigMapper configMapper = context.getBean(BaseSysConfigMapper.class);
                QueryWrapper<BaseSysConfigEnt> queryWrapper = new QueryWrapper<>();
                queryWrapper.lambda().eq(BaseSysConfigEnt::getMainKeys, configKey);
                List<BaseSysConfigEnt> baseSysConfigEnts = configMapper.selectList(queryWrapper);
                if (!baseSysConfigEnts.isEmpty()) {
                    return baseSysConfigEnts.get(0).getValue();
                } else {
                    return configValueFromProperties_;
                }
            } catch (Exception ex) {
                return configValueFromProperties_;
            }
        });

        //返回缓存缺省值
        return configCache == null ? configValueFromProperties_ : configCache.getConfigValue();
    }

}
