package pps.core.common.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import pps.core.common.entity.SysTradeInterfaceWhiteEnt;
import pps.core.common.entity.SysTradeInterfaceWhiteView;
import pps.core.common.mapper.SysTradeInterfaceWhiteMapper;
import pps.core.common.mapper.SysTradeInterfaceWhiteViewMapper;
import pps.core.common.service.data.sys_trade_interface_white.*;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.data.CustomQueryInput;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XPageResult;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.error.XError;
import xstartup.feature.api.annotation.XApiGet;
import xstartup.feature.api.annotation.XApiPost;
import xstartup.feature.mybatis.helper.XMapperHelper;

import java.util.List;

@XService
public class SysTradeInterfaceWhiteService {
    @XApiPost
    public XServiceResult createSysTradeInterfaceWhite(XContext context, CreateSysTradeInterfaceWhiteInput input){
        SysTradeInterfaceWhiteMapper mapper = context.getBean(SysTradeInterfaceWhiteMapper.class);
        SysTradeInterfaceWhiteEnt entity = new SysTradeInterfaceWhiteEnt();
        XCopyUtils.copyObject(input, entity);
        mapper.insert(entity);
        return XServiceResult.OK;
    }

    @XApiPost
    public XServiceResult updateSysTradeInterfaceWhite(XContext context, UpdateSysTradeInterfaceWhiteInput input){
        SysTradeInterfaceWhiteMapper mapper = context.getBean(SysTradeInterfaceWhiteMapper.class);
        QueryWrapper<SysTradeInterfaceWhiteEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysTradeInterfaceWhiteEnt::getId, input.getId());
        SysTradeInterfaceWhiteEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        XCopyUtils.copyObject(input, entity);
        mapper.updateById(entity);
        return XServiceResult.OK;
    }

    @XApiPost
    public XServiceResult deleteSysTradeInterfaceWhite(XContext context, DeleteSysTradeInterfaceWhiteInput input){
        SysTradeInterfaceWhiteMapper mapper = context.getBean(SysTradeInterfaceWhiteMapper.class);
        QueryWrapper<SysTradeInterfaceWhiteEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysTradeInterfaceWhiteEnt::getId, input.getId());
        SysTradeInterfaceWhiteEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        mapper.deleteById(entity);
        return XServiceResult.OK;
    }

    @XApiGet
    public XSingleResult<GetSysTradeInterfaceWhiteOutput> getSysTradeInterfaceWhite(XContext context, GetSysTradeInterfaceWhiteInput input){
        SysTradeInterfaceWhiteMapper mapper = context.getBean(SysTradeInterfaceWhiteMapper.class);
        QueryWrapper<SysTradeInterfaceWhiteEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysTradeInterfaceWhiteEnt::getId, input.getId());
        SysTradeInterfaceWhiteEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSysTradeInterfaceWhiteOutput output = new GetSysTradeInterfaceWhiteOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }

    @XApiGet
    public XPageResult<QuerySysTradeInterfaceWhiteOutput> querySysTradeInterfaceWhite(XContext context, QuerySysTradeInterfaceWhiteInput input){
        SysTradeInterfaceWhiteMapper mapper = context.getBean(SysTradeInterfaceWhiteMapper.class);
        QueryWrapper<SysTradeInterfaceWhiteEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().like(SysTradeInterfaceWhiteEnt::getId, input.getId())
            .like(SysTradeInterfaceWhiteEnt::getServiceName, input.getServiceName())
            .like(SysTradeInterfaceWhiteEnt::getMethodName, input.getMethodName())
            .like(SysTradeInterfaceWhiteEnt::getCreateById, input.getCreateById())
            .like(SysTradeInterfaceWhiteEnt::getCreateByName, input.getCreateByName())
            .like(SysTradeInterfaceWhiteEnt::getModifyById, input.getModifyById())
            .like(SysTradeInterfaceWhiteEnt::getModifyByName, input.getModifyByName());
        return XMapperHelper.query(mapper, input, queryWrapper, QuerySysTradeInterfaceWhiteOutput.class);
    }

    @XApiGet
    public XPageResult<QuerySysTradeInterfaceWhiteOutput> dynamicQuerySysTradeInterfaceWhite(XContext context, CustomQueryInput input){
        SysTradeInterfaceWhiteMapper mapper = context.getBean(SysTradeInterfaceWhiteMapper.class);
        return XMapperHelper.query(mapper, input, SysTradeInterfaceWhiteEnt.class, QuerySysTradeInterfaceWhiteOutput.class);
    }

    @XApiGet
    public XSingleResult<GetSysTradeInterfaceWhiteViewOutput> getSysTradeInterfaceWhiteView(XContext context, GetSysTradeInterfaceWhiteViewInput input){
        SysTradeInterfaceWhiteViewMapper mapper = context.getBean(SysTradeInterfaceWhiteViewMapper.class);
        SysTradeInterfaceWhiteView record = new SysTradeInterfaceWhiteView();
        XCopyUtils.copyObject(input, record);
        SysTradeInterfaceWhiteView view = mapper.selectOne(record);
        if(view == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSysTradeInterfaceWhiteViewOutput output = new GetSysTradeInterfaceWhiteViewOutput();
        XCopyUtils.copyObject(view, output);
        return XSingleResult.success(output);
    }

    @XApiGet
    public XPageResult<QuerySysTradeInterfaceWhiteViewOutput> querySysTradeInterfaceWhiteView(XContext context, QuerySysTradeInterfaceWhiteViewInput input){
        SysTradeInterfaceWhiteViewMapper mapper = context.getBean(SysTradeInterfaceWhiteViewMapper.class);
        SysTradeInterfaceWhiteView record = new SysTradeInterfaceWhiteView();
        XCopyUtils.copyObject(input, record);
        PageHelper.startPage(input.getPage(), input.getLimit());
        List<SysTradeInterfaceWhiteView> list = mapper.selectList(record);
        PageInfo<SysTradeInterfaceWhiteView> pageInfo = new PageInfo<>(list);
        List<QuerySysTradeInterfaceWhiteViewOutput> outputs = XCopyUtils.copyNewList(pageInfo.getList(), QuerySysTradeInterfaceWhiteViewOutput.class);
        return XPageResult.success(outputs, input, pageInfo.getTotal());
    }

}
