package pps.core.common.session;

import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

public class PpsUserSession implements Serializable {
    private String id;
    @XText("用户姓名")
    private String userName;
    @XText("域")
    private String userDomain;
    @XText("员工编号")
    private String userCode;
    @XText("用户类型(字典值：1内网域用户，2外网用户)")
    private Integer userType;
    @XText("电话")
    private String phone;
    @XText("用户邮箱")
    private String email;
    @XText("登录名")
    private String loginName;
    @XText("是否超级管理员：0->否；1->是；")
    private Integer isSuperAdmin;
    @XText("身份证号")
    private String identifyNo;
    @XText("备注")
    private String remark;
    @XText("账号到期时间")
    private Date endDate;
    @XText("职务-系统字典")
    private String duty;
    @XText("用户签名图片")
    private String signImage;
    @XText("用户提示方式（字典值：默认为0）")
    private String promptMode;
    @XText("数字证书")
    private String cert;
    @XText("排序")
    private Integer sort;
    @XText("证书生成时间")
    private Date caBeginDate;
    @XText("证书失效时间")
    private Date caEndDate;
    @XText("IAM接口登录名称")
    private String iamLoginName;
    @XText("最后登录时间")
    private Date lastLoginTime;
    @XText("工作描述")
    private String jobDesc;
    @XText("传真号")
    private String faxNo;
    @XText("邮编")
    private String postalCode;
    @XText("地址")
    private String address;
    @XText("创建人")
    private String createById;
    @XText("创建人名称")
    private String createByName;
    @XText("创建时间")
    private Date createTime;
    @XText("修改人")
    private String modifyById;
    @XText("修改人名称")
    private String modifyByName;
    @XText("修改时间")
    private Date modifyTime;

    @XText("用户页面授权组织机构")
    private Map<String, List<SysOrganization>> pageOrgMap;

    @XText("用户所属组织机构id")
    private String ouId;

    @XText("用户所属组织机构名称")
    private String ouName;

    @XText("用户所属组织机构路径")
    private String ouPath;
    @XText("用户所属组织机构的介质类型")
    private List<MediaTypes> mediaTypes;

    // 2022-09-29 15:06:43 添加，通过当前用户所在的组织机构，如果这个ouid不是机关处室 或者 机关科室，就往查找
    @XText("权限组织机构ID")
    private String ownerOrgId;

    @XText("权限组织机构名称")
    private String ownerOrgName;

    @XText("权限组织机构路径")
    private String ownerOrgPath;
    @XText("父级组织机构级别")
    private String ownerOrgLevel;
    @XText("组织机构级别")
    private String ouLevel;

    @XText("是否运维人员")
    private Integer devops;

    @XText("环境")
    private String env;

    public String getOwnerOrgLevel() {
        return ownerOrgLevel;
    }

    public void setOwnerOrgLevel(String ownerOrgLevel) {
        this.ownerOrgLevel = ownerOrgLevel;
    }

    public List<MediaTypes> getMediaTypes() {
        return mediaTypes;
    }

    public void setMediaTypes(List<MediaTypes> mediaTypes) {
        this.mediaTypes = mediaTypes;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserDomain() {
        return userDomain;
    }

    public void setUserDomain(String userDomain) {
        this.userDomain = userDomain;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public Integer getIsSuperAdmin() {
        return isSuperAdmin;
    }

    public void setIsSuperAdmin(Integer isSuperAdmin) {
        this.isSuperAdmin = isSuperAdmin;
    }

    public String getIdentifyNo() {
        return identifyNo;
    }

    public void setIdentifyNo(String identifyNo) {
        this.identifyNo = identifyNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getDuty() {
        return duty;
    }

    public void setDuty(String duty) {
        this.duty = duty;
    }

    public String getSignImage() {
        return signImage;
    }

    public void setSignImage(String signImage) {
        this.signImage = signImage;
    }

    public String getPromptMode() {
        return promptMode;
    }

    public void setPromptMode(String promptMode) {
        this.promptMode = promptMode;
    }

    public String getCert() {
        return cert;
    }

    public void setCert(String cert) {
        this.cert = cert;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getCaBeginDate() {
        return caBeginDate;
    }

    public void setCaBeginDate(Date caBeginDate) {
        this.caBeginDate = caBeginDate;
    }

    public Date getCaEndDate() {
        return caEndDate;
    }

    public void setCaEndDate(Date caEndDate) {
        this.caEndDate = caEndDate;
    }

    public String getIamLoginName() {
        return iamLoginName;
    }

    public void setIamLoginName(String iamLoginName) {
        this.iamLoginName = iamLoginName;
    }

    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public String getJobDesc() {
        return jobDesc;
    }

    public void setJobDesc(String jobDesc) {
        this.jobDesc = jobDesc;
    }

    public String getFaxNo() {
        return faxNo;
    }

    public void setFaxNo(String faxNo) {
        this.faxNo = faxNo;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyById() {
        return modifyById;
    }

    public void setModifyById(String modifyById) {
        this.modifyById = modifyById;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Map<String, List<SysOrganization>> getPageOrgMap() {
        return pageOrgMap;
    }

    public void setPageOrgMap(Map<String, List<SysOrganization>> pageOrgMap) {
        this.pageOrgMap = pageOrgMap;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getOuPath() {
        return ouPath;
    }

    public void setOuPath(String ouPath) {
        this.ouPath = ouPath;
    }

    public String getOwnerOrgId() {
        return ownerOrgId;
    }

    public void setOwnerOrgId(String ownerOrgId) {
        this.ownerOrgId = ownerOrgId;
    }

    public String getOwnerOrgName() {
        return ownerOrgName;
    }

    public void setOwnerOrgName(String ownerOrgName) {
        this.ownerOrgName = ownerOrgName;
    }

    public String getOwnerOrgPath() {
        return ownerOrgPath;
    }

    public void setOwnerOrgPath(String ownerOrgPath) {
        this.ownerOrgPath = ownerOrgPath;
    }

    public String getOuLevel() {
        return ouLevel;
    }

    public void setOuLevel(String ouLevel) {
        this.ouLevel = ouLevel;
    }

    public Integer getDevops() {
        return devops;
    }

    public void setDevops(Integer devops) {
        this.devops = devops;
    }

    public String getEnv() {
        return env;
    }

    public void setEnv(String env) {
        this.env = env;
    }

    @Override
    public String toString() {
        return "PpsUserSession{" +
                "id='" + id + '\'' +
                ", userName='" + userName + '\'' +
                ", userDomain='" + userDomain + '\'' +
                ", userCode='" + userCode + '\'' +
                ", userType=" + userType +
                ", phone='" + phone + '\'' +
                ", email='" + email + '\'' +
                ", loginName='" + loginName + '\'' +
                ", ouId='" + ouId + '\'' +
                ", ouPath='" + ouPath + '\'' +
                '}';
    }
}
