package pps.core.common.utils;

import org.apache.commons.lang3.StringUtils;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.DataFormatter;
import org.apache.poi.ss.usermodel.Row;

import java.util.List;

public class ImportExcelUtils {

    /**
     * 判断Excel当前行是否为空
     * @param row
     * @return
     */
    public static boolean isRowEmpty(Row row){
        for (int c = row.getFirstCellNum(); c < row.getLastCellNum(); c++) {
            Cell cell = row.getCell(c);
            if (cell != null && cell.getCellType() != CellType.BLANK)
                return false;
        }
        return true;
    }

    /**
     * 数据非空校验
     * 规则：titles 中 含有 * 的 会进行非空校验
     * @param row
     * @param titles
     * @return
     */
    public static String checkData(Row row, List<String> titles){
        DataFormatter formatter = new DataFormatter();
        for (int i = 0; i < titles.size(); i++) {
            Cell cell = row.getCell(i);
            if(titles.get(i).startsWith("*") && StringUtils.isBlank(formatter.formatCellValue(cell))){
                String msg = String.format("第%s行 %s 不能为空",(i+1),titles.get(i).replace("*",""));
                return msg;
            }
        }
        return null;
    }
}
