package pps.core.common.utils;

import pps.core.common.enums.TaskPlanTaskAffectDic;

import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Description:
 * date: 2021/3/31 16:15
 *
 * @author zhujiangwei
 */
public class JxlsUtils {

    public String dateFormat(Date date) {
        return this.dateFormat(date,"yyyy-MM-dd");
    }

    public String dateFormat(Date date,String pattern) {
        if (date == null) {
            return "";
        }
        try {
            SimpleDateFormat dateFmt = new SimpleDateFormat(pattern);
            return dateFmt.format(date);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return "";
    }

    public static void main(String[] args) {
        String as = "ss";
        System.out.println(as);
    }

    public double bigDecimalFormat(Object data) {
        return bigDecimalFormat(data,2);
    }

    public double bigDecimalFormat(Object data, int num) {
        if (data == null) {
            return 0d;
        }
        try {
            if(data instanceof BigDecimal){
                return BigDecimalUtil.parseBigDecimal(data,num).doubleValue();
            }else if(data instanceof String){
                return BigDecimalUtil.parseBigDecimal(new BigDecimal((String)data),num).doubleValue();
            }else{
                return BigDecimalUtil.parseBigDecimal(new BigDecimal(data.toString()),num).doubleValue();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return 0d;
    }

    public String enumFormat(Integer subValue,Integer parentValue) {
        if (subValue == null) {
            return "未知";
        }
        TaskPlanTaskAffectDic bySubValue = TaskPlanTaskAffectDic.findBySubValue(parentValue, subValue);
        return bySubValue.getDesc();
    }
}
