package pps.core.common.utils;

import xstartup.base.XContext;

import java.util.UUID;

public abstract class SimpleTest {
    protected final TraceHelper.TraceBuilder traceBuilder;
    protected final XContext context;

    public SimpleTest(XContext context) {
        this.context = context;
        this.traceBuilder = TraceHelper.buildTraceBuilder(UUID.randomUUID().toString(), context);
    }

    public void appendLogline(String logTitle){
        TraceHelper.appendTraceLog(this.traceBuilder, logTitle);
    }

    public void appendLogline(String logTitle, String info){
        TraceHelper.appendTraceLog(this.traceBuilder, logTitle, info);
    }

    public void appendLogline(Exception e){
        TraceHelper.appendTraceLog(this.traceBuilder, e);
    }

    public String test(){
        try{
            this.executeTest();
        }catch(Exception ex){
            TraceHelper.appendTraceLog(traceBuilder, ex);
        }finally {
            this.cleanUp();
        }
        return traceBuilder.buildTraceLog();
    }
    protected abstract void executeTest() throws Exception;
    protected abstract void cleanUp();
}
