package pps.cloud.system.service;

import pps.cloud.system.service.data.*;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XPageResult;
import xstartup.data.XSingleResult;

@XText("组织机构服务")
@XService
public interface SysOrganizationCloudService {

    @XText("根据id获取组织机构详情")
    XSingleResult<GetSysOrganizationViewOutput> getSysOrganizationById(XContext context, GetSysOrganizationViewInput input);

    @XText("根据ids获取组织机构详情")
    XListResult<GetSysOrganizationViewOutput> getSysOrganizationByIds(XContext context, GetSysOrganizationViewInput input);

    @XText("根据names获取组织机构详情")
    XListResult<GetSysOrganizationViewOutput> getSysOrganizationByNames(XContext context, GetSysOrganizationViewInput input);

    @XText("根据用户ID获取指定级别的组织机构详情")
    XSingleResult<GetSysOrganizationViewOutput> getSysOrganizationByOuLevelAndUserId(XContext context, GetSysOrganizationViewInput input);

    @XText("根据用户ID获取指定级别的组织机构集合详情")
    XListResult<GetSysOrganizationViewOutput> getSysOrganizationListByOuLevelAndUserId(XContext context, GetSysOrganizationViewInput input);

    @XText("根据组织机构ID获取指定级别的组织机构详情")
    XSingleResult<GetSysOrganizationViewOutput> getSysOrganizationByOuLevelAndOuId(XContext context, GetSysOrganizationViewInput input);

    @XText("根据用户id获取组织机构和场站详情")
    XListResult<GetSysOrganizationViewOutput> getSysOrganizationByUserId(XContext context, GetSysOrganizationViewInput input);

    @XText("根据用户id获取组织机构")
    XSingleResult<GetSysOrganizationViewOutput> getOuByUserId(XContext context, GetSysOrganizationViewInput input);

    @XText("获取组织机构列表")
    XPageResult<GetSysOrganizationViewOutput> getSysOrganizationList(XContext context, QuerySysOrganizationViewInput input);

    @XText("根据组织机构父id获取儿子集组织机构")
    XListResult<GetSysOrganizationViewOutput> getOrganizationByParentOuId(XContext context, GetSysOrganizationViewInput input);

    @XText("根据组织机构子id获取父级组织机构")
    XSingleResult<GetSysOrganizationViewOutput> getOrganizationBySubOuId(XContext context, GetSysOrganizationViewInput input);

    @XText("根据用户id获取授权组织机构id")
    XListResult<GetSysOrganizationViewOutput> getOuIdsByUserId(XContext context, GetSysOrganizationViewInput input);

    @XText("获取授权组织机构id")
    XListResult<GetSysOrganizationViewOutput> getOuIdsByCondition(XContext context, GetOuIdsByConditionInput input);

    @XText("根据用户id获取用户组织机构")
    XListResult<OuIdAndOutNameOutput> getOrgListByUserId(XContext context, QueryUserIdInput input);

    @XText("根据组织机构id获取所有的子级组织机构")
    XListResult<GetOuListTreeOutput> getAllOuListByOuId(XContext context, GetAllOuListByOuIdInput input);

    @XText("根据组织机构ids获取组织机构")
    XListResult<GetOuListTreeOutput> getOuListByOuIds(XContext context, GetOuListByOuIdsInput input);

    @XText("根据组织机构id获取组织机构id路径")
    XSingleResult<GetOuIdPathByOuIdOutput> getOuIdPathByOuId(XContext context, GetOuIdPathByOuIdInput input);

    @XText("获取用户组织机构id路径")
    XSingleResult<GetSysOrganizationIdPathOutput> getOrganizationPath(XContext context);

    @XText("获取用户组织机构层级ouid")
    XSingleResult<GetOrganizationOuLevel> getOrganizationOuLevelOuId(XContext context);

    @XText("根据组织机构子ids获取父级组织机构")
    XListResult<GetSysOrganizationViewOutput> getOrganizationBySubOuIds(XContext context, GetSysOrganizationViewInput input);

    @XText("根据用户id查询地区公司")
    XListResult<GetSysOrganizationViewOutput> selectRegionFirmByUserId(XContext context,SelectRegionFirmInput input);

    @XText("根据父级id查询儿子级--最后一级查的是场站")
    XListResult<GetSysOrganizationViewOutput> queryOuInfoOrStationByParentOuId(XContext context);

    @XText("根据组织机构名称获取组织机构id")
    XListResult<GetSysOrganizationViewOutput> selectOrganizationAllByOrganizationName(XContext context, GetSysOrganizationViewInput input);

}

