package pps.cloud.system.service;

import pps.cloud.system.service.data.*;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XPageResult;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;

@XText("字典接口")
@XService
public interface SystemDictionaryService {

    @XText("公共已知的数据字典Code定义")
    public static class WELLKNOWN_DICTIONARY_CODES{
        @XText("表单模板类型")
        public static final String FORM_TEMPLATE_TYPE = "form_template_type";
        @XText("填报频率")
        public static final String FORM_FREQ = "form_freq";
    }

    @XText("根据多个父id返回多个字典信息")
    XPageResult<QuerySysDictionaryViewOutput> querySysDictionarysByParentIds(XContext context, QuerySysDictionaryViewInput input);

    @XText("根据alias获取字典")
    XListResult<QuerySysDictionaryViewOutput> querySysDictionarysByAlias(XContext context, CreateSysDictionaryInput input);

    @XText("根据id返回字典信息")
    XSingleResult<QuerySysDictionaryViewOutput> querySysDictionarysById(XContext context, QuerySysDictionaryViewInput input);

    @XText("根据DicKey(可以多个)返回字典信息")
    XPageResult<QuerySysDictionaryViewOutput> querySysDictionarysByDicKeys(XContext context, QuerySysDictionaryViewInput input);

    @XText("根据父级alias获取子级字典列表")
    XListResult<QuerySysDictionaryViewOutput> queryChildSysDictionarysByParentAlias(XContext context, QuerySysDictionaryViewInput input);

    @XText("创建字典")
    XServiceResult createSysDictionary(XContext context, CreateSysDictionaryInput input);

    @XText("创建字典")
    XSingleResult<QuerySysDictionaryViewOutput> createSysDictionaryAndReturn(XContext context, CreateSysDictionaryInput input);

    @XText("删除字典")
    XServiceResult deleteSysDictionary(XContext context, DeleteSysDictionaryInput input);

    @XText("修改字典排序")
    XServiceResult updateDictionarySortById(XContext context, QuerySysDictionaryOutput input);

    @XText("根据dicPath获取所有字典列表")
    XListResult<QuerySysDictionaryViewOutput> queryChildByDicPath(XContext context, QuerySysDictionaryViewInput input);

    @XText("根据dicPath获取所有字典列表(含本身)")
    XListResult<QuerySysDictionaryViewOutput> queryChildByDicPathIncludeSelf(XContext context,
                                                                             QuerySysDictionaryViewInput input);

    @XText("根据Alias获取字典信息")
    XSingleResult<QuerySysDictionaryViewOutput> queryByAlias(XContext context, QuerySysDictionaryViewInput input);

    @XText("根据Alias获取字典信息")
    XSingleResult<QuerySysDictionaryViewOutput> queryByDicName(XContext context, QuerySysDictionaryViewInput input);

    @XText("根据DicKey获取字典信息")
    XSingleResult<QuerySysDictionaryViewOutput> queryByDicKey(XContext context, QuerySysDictionaryViewInput input);

    @XText("根据Alias清楚缓存")
    XServiceResult deleteCache(XContext context, DeleteCacheInput input);
}
