package pps.cloud.system.service;

import pps.cloud.system.service.data.*;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;

import java.util.Date;
import java.util.List;
import java.util.Map;

@XText("获取scada数据")
@XService
public interface SystemScadaIhdService{

    @XText("查询scada系统环境信息")
    XListResult<ScadaEnvironmentInfoOutput> getScadaEnvList(XContext context, ScadaEnvironmentInfoInput input);

    @XText("分页查询scada点号信息")
    XSingleResult<ScadaGatherConfViewResultOutput> getScadaTagList(XContext context, ScadaTagInput input);

    @XText("scadaData插入数据")
    XServiceResult insertScadaGatherData(XContext context, ScadaGatherDataOutput input);

    XServiceResult updateScadaGatherData(XContext context, ScadaGatherDataOutput input);

    @XText("获取默认表详细数据")
    XListResult<ScadaGatherBoxRelDetailOutput> selectListDetails(XContext context, ScadaGatherBoxRelDetailInput input);

    @XText("数据插入默认表")
    XServiceResult insertDefaultTable(XContext context, DefaultTableInput input);

    @XText("数据修改默认表")
    XServiceResult updateDefaultTable(XContext context, DefaultTableInput input);

    @XText("数据查询默认表")
    XSingleResult<DefaultTableOutput> selectDefaultTable(XContext context, DefaultTableInput input);


    XSingleResult<ScadaGatherDataOutput> selectScadaGatherDataByDataDate(XContext context, selectScadaGatherDataByDataDateOutput output);

    XListResult<ScadaGatherDataOutput> getScadaRemedyDataTagList(XContext context, ScadaEnvironmentInfoOutput scadaEnv);
}
