package pps.core.system.cache;

import xstartup.base.XContext;
import xstartup.cache.XCacheLife;
import xstartup.cache.XCacheObject;
import xstartup.cache.XSingleCache;

import java.util.Date;

public class LoginSmsCodeCache implements XCacheObject, XCacheLife {
    private String codeKey;
    private String code;
    private Integer validity;
    private Date currentDate;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodeKey() {
        return codeKey;
    }

    public void setCodeKey(String codeKey) {
        this.codeKey = codeKey;
    }

    public Integer getValidity() {
        return validity;
    }

    public void setValidity(Integer validity) {
        this.validity = validity;
    }

    public Date getCurrentDate() {
        return currentDate;
    }

    public void setCurrentDate(Date currentDate) {
        this.currentDate = currentDate;
    }

    @Override
    public Integer getDuration() {
        return validity*60;
    }

    @Override
    public String getCacheKey() {
        return this.codeKey;
    }
    /**
     * 检查缓存是否存在指定的code
     * @param context
     * @param code
     * @return
     */
    public static LoginSmsCodeCache exist(XContext context, String code){
        LoginSmsCodeCache isExist = LoginSmsCodeCache.Tool.get(LoginSmsCodeCache.Tool.class).find(context, code, LoginSmsCodeCache.class);
        return isExist;
    }

    public static void delete(XContext context, String loginName){
        LoginSmsCodeCache.Tool.get(LoginSmsCodeCache.Tool.class).delete(context, loginName, LoginSmsCodeCache.class);
    }

    /**
     * 设置缓存
     * @param context
     * @param cache
     */
    public static void set(XContext context, LoginSmsCodeCache cache){
        LoginSmsCodeCache.Tool.get(LoginSmsCodeCache.Tool.class).set(context, cache);
    }

    static class Tool extends XSingleCache<LoginSmsCodeCache> {
        @Override
        protected LoginSmsCodeCache restore(XContext context, String cacheKey) {
            return null;
        }
    }
}
