package pps.core.system.cache;

import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.cache.XCacheLife;
import xstartup.cache.XCacheObject;
import xstartup.cache.XListCache;

import java.util.List;

public class SysAreaCache implements XCacheObject, XCacheLife {

    private Integer id;

    private String name;

    private Integer parentId;

    private Integer lev;

    @XText("子集")
    private List<SysAreaCache> children;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getLev() {
        return lev;
    }

    public void setLev(Integer lev) {
        this.lev = lev;
    }

    public List<SysAreaCache> getChildren() {
        return children;
    }

    public void setChildren(List<SysAreaCache> children) {
        this.children = children;
    }

    @Override
    public Integer getDuration() {
        return 24 * 3600;
    }

    @Override
    public String getCacheKey() {
        return this.id.toString();
    }

    /**
     * 从缓存中读取
     * @param context
     * @param sysArea
     * @return
     */
    public static List<SysAreaCache> list(XContext context, String sysArea){
        return SysAreaCache.Tool.get(SysAreaCache.Tool.class).list(context, sysArea, SysAreaCache.class);
    }

    /**
     * 设置缓存
     * @param context
     * @param sysArea
     * @param caches
     */
    public static void set(XContext context, String sysArea, List<SysAreaCache> caches){
        SysAreaCache.Tool.get(SysAreaCache.Tool.class).set(context, sysArea, caches);
    }

    static class Tool extends XListCache<SysAreaCache> {
        @Override
        protected List<SysAreaCache> restore(XContext context, String listKey) {
            return null;
        }
    }
}
