package pps.core.system.cache;

import pps.core.system.service.data.sys_organization.QuerySysOrganizationViewOutputTree;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.cache.XCacheLife;
import xstartup.cache.XCacheObject;
import xstartup.cache.XListCache;

import java.util.List;

public class SysOrganizationCache implements XCacheObject, XCacheLife {


    @XText("主键")
    private String id;

    @XText("组织机构编码")
    private String ouCode;

    @XText("组织机构名称")
    private String ouName;

    @XText("简称")
    private String shortName;

    @XText("序号")
    private Integer sort;

    @XText("父级id")
    private String parentOuId;

    @XText("子集")
    private List<SysOrganizationCache> children;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOuCode() {
        return ouCode;
    }

    public void setOuCode(String ouCode) {
        this.ouCode = ouCode;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getParentOuId() {
        return parentOuId;
    }

    public void setParentOuId(String parentOuId) {
        this.parentOuId = parentOuId;
    }

    public List<SysOrganizationCache> getChildren() {
        return children;
    }

    public void setChildren(List<SysOrganizationCache> children) {
        this.children = children;
    }

    @Override
    public Integer getDuration() {
        // 1天
//        return 24 * 3600;
        // 5分钟
        return 5 * 60;
    }

    @Override
    public String getCacheKey() {
        return this.id;
    }

    /**
     * 从缓存中读取
     * @param context
     * @param sysOrganization
     * @return
     */
    public static List<SysOrganizationCache> list(XContext context, String sysOrganization){
        return SysOrganizationCache.Tool.get(SysOrganizationCache.Tool.class).list(context, sysOrganization, SysOrganizationCache.class);
    }

    /**
     * 设置缓存
     * @param context
     * @param sysOrganization
     * @param caches
     */
    public static void set(XContext context, String sysOrganization, List<SysOrganizationCache> caches){
        SysOrganizationCache.Tool.get(SysOrganizationCache.Tool.class).set(context, sysOrganization, caches);
    }

    static class Tool extends XListCache<SysOrganizationCache> {
        @Override
        protected List<SysOrganizationCache> restore(XContext context, String listKey) {
            return null;
        }
    }
}
