package pps.core.system.constant;

import com.baomidou.mybatisplus.annotation.EnumValue;
import pps.core.common.enums.DictEnum;

/**
 * @author xcd
 * @version V1.0
 * @Description: 组织机构类型常量定义，这个常量应该与系统字典表保持一直!!!，字典表sys_dictionary pid=10,alias=UNIT_LEVEL
 * @date 2022/9/29
 */
public enum OuLevelConstant implements DictEnum {
    ER_JI_FEN_GONG_SI(1, "二级分公司/管理处", "ADMINISTRATIVE"),
    YOU_QI_DIAO_KONG_ZHONG_XIN(2, "油气调控中心", "OIL_GAS_FIRM"),
    ZHUAN_YE_GONG_SI(3, "专业公司", "PROFESSION_FIRM"),
    DI_QU_GONG_SI(4, "地区公司", "REGION_FIRM"),
    CHANG_ZHAN(5, "场站", "STATION"),
    JI_GUAN_CHU_SHI(6, "机关处室", "OFFICE_CS"),
    QU_YU_GONG_SI(7, "区域公司", "AREA_FIRM"),
    JI_GUAN_KE_SHI(8, "机关科室", "OFFICE_KS"),
    SUPPLIER(9, "托运商", "SUPPLIER"),
    UP_CLIENT(10, "上游客户", "UP_CLIENT"),
    DOWN_CLIENT(11, "上游客户", "DOWN_CLIENT");

    @EnumValue
    private Integer value = 0;
    private String desc = "";
    private String code = "";

    OuLevelConstant(Integer value, String desc, String code) {
        this.value = value;
        this.desc = desc;
        this.code = code;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public String getCode() {
        return code;
    }

    public static OuLevelConstant findByValue(Integer v) {
        for (OuLevelConstant e : values()) {
            if (e.getValue().equals(v)) {
                return e;
            }
        }
        return null;
    }

    public static OuLevelConstant findByDesc(String desc) {
        for (OuLevelConstant e : values()) {
            if (e.getDesc().equals(desc)) {
                return e;
            }
        }
        return null;
    }
}
