package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import pps.core.common.entity.ICommonEnt;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("sys_dictionary")
public class SysDictionaryEnt implements Serializable, ICommonEnt {
    @XText("主键")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("父级ID")
    @TableField
    private String pid;

    @XText("名称")
    @TableField
    private String dicName;

    @XText("缩写")
    @TableField
    private String shortName;

    @XText("备注")
    @TableField
    private String remark;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("层级")
    @TableField
    private Integer levels;

    @XText("是否默认值")
    @TableField
    private Integer beDefault;

    @XText("是否含有下级")
    @TableField
    private Integer beHasChildren;

    @XText("0为系统字典，1应用字典")
    @TableField
    private Integer dicType;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("失效时间")
    @TableField
    private Date endTime;

    @XText("创建人名称")
    @TableField
    private String createName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人名称")
    @TableField
    private String modifyName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("字典项编码")
    private String alias;

    @XText("字典编码")
    private String dicKey;

    @XText("字典路径")
    private String dicPath;

    @XText("组织机构是否关联")
    private Integer isOrg;

    @XText("字典默认值")
    @TableField
    private String defaultValue;

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public Integer getIsOrg() {
        return isOrg;
    }

    public void setIsOrg(Integer isOrg) {
        this.isOrg = isOrg;
    }

    public String getDicPath() {
        return dicPath;
    }

    public void setDicPath(String dicPath) {
        this.dicPath = dicPath;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getDicKey() {
        return dicKey;
    }

    public void setDicKey(String dicKey) {
        this.dicKey = dicKey;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getDicName() {
        return dicName;
    }

    public void setDicName(String dicName) {
        this.dicName = dicName;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Integer getLevels() {
        return this.levels;
    }

    public void setLevels(Integer value) {
        this.levels = value;
    }

    public Integer getBeDefault() {
        return this.beDefault;
    }

    public void setBeDefault(Integer value) {
        this.beDefault = value;
    }

    public Integer getBeHasChildren() {
        return this.beHasChildren;
    }

    public void setBeHasChildren(Integer value) {
        this.beHasChildren = value;
    }

    public Integer getDicType() {
        return dicType;
    }

    public void setDicType(Integer dicType) {
        this.dicType = dicType;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getCreateName() {
        return this.createName;
    }

    public void setCreateName(String value) {
        this.createName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyName() {
        return this.modifyName;
    }

    public void setModifyName(String value) {
        this.modifyName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
