package pps.core.system.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import javax.persistence.Transient;

public class SysOrganizationView implements Serializable {
    @XText("主键")
    @TableField
    private String id;
    private String userId;
    @XText("组织机构id")
    @TableField(exist = false)
    private List<String> ouIds;
    @XText("组织机构编码")
    @TableField
    private String ouCode;

    @XText("组织机构名称")
    @TableField
    private String ouName;

    @XText("简称")
    @TableField
    private String shortName;

    @XText("单位级别（从系统字典中来）")
    @TableField
    private String ouLevel;

    @XText("描述")
    @TableField
    private String description;

    @XText("是否删除：0->是；1->否")
    @TableField
    private Integer isDeleted;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;


    @XText("结束时间")
    @Transient
    private Date endTime;

    @XText("邮编")
    @TableField
    private String postCode;

    @XText("地址")
    @TableField
    private String postAddress;

    @XText("传真")
    @TableField
    private String faxNo;

    @XText("电话")
    @TableField
    private String phone;

    @XText("国家")
    @TableField
    private String country;

    @XText("省份")
    @TableField
    private Integer province;

    @XText("父级id")
    @Transient
    private String parentOuId;

    @XText("父级名称")
    @Transient
    private String partentName;

    @XText("关系表id")
    @Transient
    private String sorId;

    @XText("序号")
    @Transient
    private Integer sort;

    @XText("单位级别名称")
    @Transient
    private String levelDicName;
    @XText("国家名称")
    @Transient
    private String countryName;
    @XText("地区名称")
    @Transient
    private String provinceName;
    @XText("介质类型")
    @Transient
    private String propertyName;

    @XText("介质类型")
    @Transient
    private String mediaType;

    @XText("类型")
    @Transient
    private String type;

    @XText("是否包含子ou：0->否；1->是；")
    @Transient
    private Integer isHasChildren;

    @XText("经度")
    @TableField
    private BigDecimal longitude;

    @XText("纬度")
    @TableField
    private BigDecimal latitude;

    @XText("高程")
    @TableField
    private BigDecimal elevation;

    public List<String> getOuIds() {
        return ouIds;
    }

    public void setOuIds(List<String> ouIds) {
        this.ouIds = ouIds;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getMediaType() {
        return mediaType;
    }

    public void setMediaType(String mediaType) {
        this.mediaType = mediaType;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getIsHasChildren() {
        return isHasChildren;
    }

    public void setIsHasChildren(Integer isHasChildren) {
        this.isHasChildren = isHasChildren;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getParentOuId() {
        return parentOuId;
    }

    public void setParentOuId(String parentOuId) {
        this.parentOuId = parentOuId;
    }

    public String getLevelDicName() {
        return levelDicName;
    }

    public void setLevelDicName(String levelDicName) {
        this.levelDicName = levelDicName;
    }

    public String getCountryName() {
        return countryName;
    }

    public void setCountryName(String countryName) {
        this.countryName = countryName;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getSorId() {
        return sorId;
    }

    public void setSorId(String sorId) {
        this.sorId = sorId;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getOuCode() {
        return this.ouCode;
    }

    public void setOuCode(String value) {
        this.ouCode = value;
    }

    public String getOuName() {
        return this.ouName;
    }

    public void setOuName(String value) {
        this.ouName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getOuLevel() {
        return this.ouLevel;
    }

    public void setOuLevel(String value) {
        this.ouLevel = value;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String value) {
        this.description = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getPostCode() {
        return this.postCode;
    }

    public void setPostCode(String value) {
        this.postCode = value;
    }

    public String getPostAddress() {
        return this.postAddress;
    }

    public void setPostAddress(String value) {
        this.postAddress = value;
    }

    public String getFaxNo() {
        return this.faxNo;
    }

    public void setFaxNo(String value) {
        this.faxNo = value;
    }

    public String getPhone() {
        return this.phone;
    }

    public void setPhone(String value) {
        this.phone = value;
    }

    public String getCountry() {
        return this.country;
    }

    public void setCountry(String value) {
        this.country = value;
    }

    public Integer getProvince() {
        return this.province;
    }

    public void setProvince(Integer value) {
        this.province = value;
    }

    public String getPartentName() {
        return partentName;
    }

    public void setPartentName(String partentName) {
        this.partentName = partentName;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public BigDecimal getElevation() {
        return elevation;
    }

    public void setElevation(BigDecimal elevation) {
        this.elevation = elevation;
    }
}
