package pps.core.system.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

@TableName("sys_user")
public class SysUserEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("用户姓名")
    @TableField
    private String userName;

    @XText("域")
    @TableField
    private String userDomain;

    @XText("员工编号")
    @TableField
    private String userCode;

    @XText("用户类型(字典值：1内网域用户，2外网用户)")
    @TableField
    private Integer userType;

    @XText("电话")
    @TableField
    private String phone;

    @XText("用户邮箱")
    @TableField
    private String email;

    @XText("登录名")
    @TableField
    private String loginName;

    @XText("是否超级管理员：0->否；1->是；")
    @TableField
    private Integer isSuperAdmin;

    @XText("身份证号")
    @TableField
    private String identifyNo;

    @XText("备注")
    @TableField
    private String remark;

    @XText("账号到期时间")
    @TableField
    private Date endDate;

    @XText("用户密码，客户类使用此字段，内网用户不使用")
    @TableField
    private String password;

    @XText("职务-系统字典")
    @TableField
    private String duty;

    @XText("用户签名图片")
    @TableField
    private String signImage;

    @XText("用户提示方式（字典值：默认为0）")
    @TableField
    private String promptMode;

    @XText("数字证书")
    @TableField
    private String cert;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("证书生成时间")
    @TableField
    private Date caBeginDate;

    @XText("证书失效时间")
    @TableField
    private Date caEndDate;

    @XText("IAM接口登录名称")
    @TableField
    private String iamLoginName;

    @XText("最后登录时间")
    @TableField
    private Date lastLoginTime;

    @XText("工作描述")
    @TableField
    private String jobDesc;

    @XText("传真号")
    @TableField
    private String faxNo;

    @XText("邮编")
    @TableField
    private String postalCode;

    @XText("地址")
    @TableField
    private String address;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("是否外网访问")
    @TableField
    private Integer isOuter;

    @XText("是否内网访问")
    @TableField
    private Integer isInner;

    @XText("是否交易平台用户")
    @TableField
    private Integer isTrade;

    @XText("状态")
    @TableField
    private Integer status;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIsOuter() {
        return isOuter;
    }

    public void setIsOuter(Integer isOuter) {
        this.isOuter = isOuter;
    }

    public Integer getIsInner() {
        return isInner;
    }

    public void setIsInner(Integer isInner) {
        this.isInner = isInner;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String value) {
        this.userName = value;
    }

    public String getUserDomain() {
        return this.userDomain;
    }

    public void setUserDomain(String value) {
        this.userDomain = value;
    }

    public String getUserCode() {
        return this.userCode;
    }

    public void setUserCode(String value) {
        this.userCode = value;
    }

    public Integer getUserType() {
        return this.userType;
    }

    public void setUserType(Integer value) {
        this.userType = value;
    }

    public String getPhone() {
        return this.phone;
    }

    public void setPhone(String value) {
        this.phone = value;
    }

    public String getEmail() {
        return this.email;
    }

    public void setEmail(String value) {
        this.email = value;
    }

    public String getLoginName() {
        return this.loginName;
    }

    public void setLoginName(String value) {
        this.loginName = value;
    }

    public Integer getIsSuperAdmin() {
        return this.isSuperAdmin;
    }

    public void setIsSuperAdmin(Integer value) {
        this.isSuperAdmin = value;
    }

    public String getIdentifyNo() {
        return this.identifyNo;
    }

    public void setIdentifyNo(String value) {
        this.identifyNo = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public Date getEndDate() {
        return this.endDate;
    }

    public void setEndDate(Date value) {
        this.endDate = value;
    }

    public String getPassword() {
        return this.password;
    }

    public void setPassword(String value) {
        this.password = value;
    }

    public String getDuty() {
        return this.duty;
    }

    public void setDuty(String value) {
        this.duty = value;
    }

    public String getSignImage() {
        return this.signImage;
    }

    public void setSignImage(String value) {
        this.signImage = value;
    }

    public String getPromptMode() {
        return this.promptMode;
    }

    public void setPromptMode(String value) {
        this.promptMode = value;
    }

    public String getCert() {
        return this.cert;
    }

    public void setCert(String value) {
        this.cert = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Date getCaBeginDate() {
        return this.caBeginDate;
    }

    public void setCaBeginDate(Date value) {
        this.caBeginDate = value;
    }

    public Date getCaEndDate() {
        return this.caEndDate;
    }

    public void setCaEndDate(Date value) {
        this.caEndDate = value;
    }

    public String getIamLoginName() {
        return this.iamLoginName;
    }

    public void setIamLoginName(String value) {
        this.iamLoginName = value;
    }

    public Date getLastLoginTime() {
        return this.lastLoginTime;
    }

    public void setLastLoginTime(Date value) {
        this.lastLoginTime = value;
    }

    public String getJobDesc() {
        return this.jobDesc;
    }

    public void setJobDesc(String value) {
        this.jobDesc = value;
    }

    public String getFaxNo() {
        return this.faxNo;
    }

    public void setFaxNo(String value) {
        this.faxNo = value;
    }

    public String getPostalCode() {
        return this.postalCode;
    }

    public void setPostalCode(String value) {
        this.postalCode = value;
    }

    public String getAddress() {
        return this.address;
    }

    public void setAddress(String value) {
        this.address = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Integer getIsTrade() {
        return isTrade;
    }

    public void setIsTrade(Integer isTrade) {
        this.isTrade = isTrade;
    }
}
