package pps.core.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.MessageTemplateProcEnt;

import java.util.List;
import java.util.Map;

@Repository(value="pps.core.system.mapper.MessageTemplateProcMapper")
public interface MessageTemplateProcMapper extends BaseMapper<MessageTemplateProcEnt> {

    @Select("select c.*,a.\"no\" ,a.param_value,b.id tp_id  from message_template_proc_param a join message_template_proc b on a.template_proc_id  = b.id \n" +
            "join message_proc_param c on c.proc_id  = b.proc_id and c.param_name =a.param_name \n" +
            "where a.template_id =#{templateId} order by b.sort ,c.sort ")
    List<Map<String,Object>> getTemplateUsedProc(@Param("templateId") String templateId);

    @Delete("delete from message_template_proc_param where template_proc_id =#{tid};" +
            "delete from  message_template_proc where id = #{tid};")
    void deletesql(@Param("tid") String tid);
}
