package pps.core.system.service;

import java.util.Date;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import pps.core.system.mapper.*;
import pps.core.system.entity.*;
import pps.core.system.service.data.operation_maintenance_user_information.*;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XService;
import xstartup.feature.api.annotation.XApiPost;
import xstartup.feature.api.annotation.XApiGet;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.data.XListResult;
import xstartup.data.XPageResult;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.error.XError;
import xstartup.base.data.CustomQueryInput;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import xstartup.feature.mybatis.helper.XMapperHelper;

import java.util.List;

@XService
public class OperationMaintenanceUserInformationService {
    @XApiAnonymous
    @XApiPost
    public XServiceResult createOperationMaintenanceUserInformation(XContext context, CreateOperationMaintenanceUserInformationInput input){
        OperationMaintenanceUserInformationMapper mapper = context.getBean(OperationMaintenanceUserInformationMapper.class);
        OperationMaintenanceUserInformationEnt entity = new OperationMaintenanceUserInformationEnt();
        XCopyUtils.copyObject(input, entity);
        mapper.insert(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult updateOperationMaintenanceUserInformation(XContext context, UpDateOperationMaintenanceUserInformationInput input){
        OperationMaintenanceUserInformationMapper mapper = context.getBean(OperationMaintenanceUserInformationMapper.class);
        QueryWrapper<OperationMaintenanceUserInformationEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(OperationMaintenanceUserInformationEnt::getId, input.getId());
        OperationMaintenanceUserInformationEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        XCopyUtils.copyObject(input, entity);
        mapper.updateById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult deleteOperationMaintenanceUserInformation(XContext context, DeleteOperationMaintenanceUserInformationInput input){
        OperationMaintenanceUserInformationMapper mapper = context.getBean(OperationMaintenanceUserInformationMapper.class);
        QueryWrapper<OperationMaintenanceUserInformationEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(OperationMaintenanceUserInformationEnt::getId, input.getId());
        OperationMaintenanceUserInformationEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        mapper.deleteById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult<GetOperationMaintenanceUserInformationOutput> getOperationMaintenanceUserInformation(XContext context, GetOperationMaintenanceUserInformationInput input){
        OperationMaintenanceUserInformationMapper mapper = context.getBean(OperationMaintenanceUserInformationMapper.class);
        QueryWrapper<OperationMaintenanceUserInformationEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(OperationMaintenanceUserInformationEnt::getId, input.getId());
        OperationMaintenanceUserInformationEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetOperationMaintenanceUserInformationOutput output = new GetOperationMaintenanceUserInformationOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QueryOperationMaintenanceUserInformationOutput> queryOperationMaintenanceUserInformation(XContext context, QueryOperationMaintenanceUserInformationInput input){
        OperationMaintenanceUserInformationMapper mapper = context.getBean(OperationMaintenanceUserInformationMapper.class);
        QueryWrapper<OperationMaintenanceUserInformationEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().like(OperationMaintenanceUserInformationEnt::getId, input.getId())
            .like(OperationMaintenanceUserInformationEnt::getAccountNumberId, input.getAccountNumberId())
            .like(OperationMaintenanceUserInformationEnt::getmOuId, input.getMOuId())
            .like(OperationMaintenanceUserInformationEnt::getmOuName, input.getMOuName())
            .like(OperationMaintenanceUserInformationEnt::getPipelineId, input.getPipelineId())
            .like(OperationMaintenanceUserInformationEnt::getPipelineName, input.getPipelineName())
            .like(OperationMaintenanceUserInformationEnt::getLoginAccount, input.getLoginAccount())
            .like(OperationMaintenanceUserInformationEnt::getLoginAccountIam, input.getLoginAccountIam())
            .like(OperationMaintenanceUserInformationEnt::getStationId, input.getStationId())
            .like(OperationMaintenanceUserInformationEnt::getStationName, input.getStationName())
            .like(OperationMaintenanceUserInformationEnt::getEmployeeNumber, input.getEmployeeNumber())
            .like(OperationMaintenanceUserInformationEnt::getUserName, input.getUserName())
            .like(OperationMaintenanceUserInformationEnt::getUserPassword, input.getUserPassword())
            .eq(OperationMaintenanceUserInformationEnt::getIsDeleted, input.getIsDeleted())
            .eq(OperationMaintenanceUserInformationEnt::getIntranet, input.getIntranet())
            .eq(OperationMaintenanceUserInformationEnt::getExternalNetwork, input.getExternalNetwork())
            .like(OperationMaintenanceUserInformationEnt::getDutiesId, input.getDutiesId())
            .like(OperationMaintenanceUserInformationEnt::getDutiesName, input.getDutiesName())
            .like(OperationMaintenanceUserInformationEnt::getZipCode, input.getZipCode())
            .like(OperationMaintenanceUserInformationEnt::getMobilePhone, input.getMobilePhone())
            .like(OperationMaintenanceUserInformationEnt::getMailbox, input.getMailbox())
            .like(OperationMaintenanceUserInformationEnt::getMailAddress, input.getMailAddress())
            .like(OperationMaintenanceUserInformationEnt::getAlternateFieldsOne, input.getAlternateFieldsOne())
            .like(OperationMaintenanceUserInformationEnt::getAlternateFieldsTow, input.getAlternateFieldsTow())
            .like(OperationMaintenanceUserInformationEnt::getCreateById, input.getCreateById())
            .like(OperationMaintenanceUserInformationEnt::getCreateByName, input.getCreateByName())
            .eq(OperationMaintenanceUserInformationEnt::getCreateTime, input.getCreateTime())
            .like(OperationMaintenanceUserInformationEnt::getModifyById, input.getModifyById())
            .like(OperationMaintenanceUserInformationEnt::getModifyByName, input.getModifyByName())
            .eq(OperationMaintenanceUserInformationEnt::getModifyTime, input.getModifyTime())
            .eq(OperationMaintenanceUserInformationEnt::getDataDate, input.getDataDate())
            .like(OperationMaintenanceUserInformationEnt::getAffiliatedUnitId, input.getAffiliatedUnitId())
            .like(OperationMaintenanceUserInformationEnt::getAffiliatedUnitName, input.getAffiliatedUnitName());
        return XMapperHelper.query(mapper, input, queryWrapper, QueryOperationMaintenanceUserInformationOutput.class);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QueryOperationMaintenanceUserInformationOutput> dynamicQueryOperationMaintenanceUserInformation(XContext context, CustomQueryInput input){
        OperationMaintenanceUserInformationMapper mapper = context.getBean(OperationMaintenanceUserInformationMapper.class);
        return XMapperHelper.query(mapper, input, OperationMaintenanceUserInformationEnt.class, QueryOperationMaintenanceUserInformationOutput.class);
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult<GetOperationMaintenanceUserInformationViewOutput> getOperationMaintenanceUserInformationView(XContext context, GetOperationMaintenanceUserInformationViewInput input){
        OperationMaintenanceUserInformationViewMapper mapper = context.getBean(OperationMaintenanceUserInformationViewMapper.class);
        OperationMaintenanceUserInformationView record = new OperationMaintenanceUserInformationView();
        XCopyUtils.copyObject(input, record);
        OperationMaintenanceUserInformationView view = mapper.selectOne(record);
        if(view == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetOperationMaintenanceUserInformationViewOutput output = new GetOperationMaintenanceUserInformationViewOutput();
        XCopyUtils.copyObject(view, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QueryOperationMaintenanceUserInformationViewOutput> queryOperationMaintenanceUserInformationView(XContext context, QueryOperationMaintenanceUserInformationViewInput input){
        OperationMaintenanceUserInformationViewMapper mapper = context.getBean(OperationMaintenanceUserInformationViewMapper.class);
        OperationMaintenanceUserInformationView record = new OperationMaintenanceUserInformationView();
        XCopyUtils.copyObject(input, record);
        PageHelper.startPage(input.getPage(), input.getLimit());
        List<OperationMaintenanceUserInformationView> list = mapper.selectList(record);
        PageInfo<OperationMaintenanceUserInformationView> pageInfo = new PageInfo<>(list);
        List<QueryOperationMaintenanceUserInformationViewOutput> outputs = XCopyUtils.copyNewList(pageInfo.getList(), QueryOperationMaintenanceUserInformationViewOutput.class);
        return XPageResult.success(outputs, input, pageInfo.getTotal());
    }

}
