package pps.core.system.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.cloud.system.service.SysBaseInfoSyncService;
import pps.cloud.system.service.data.GetSysBaseInfoSysncConfigOutput;
import pps.core.common.constant.Constant;
import pps.core.system.entity.SysBaseInfoSysncConfigEnt;
import pps.core.system.mapper.SysBaseInfoSysncConfigMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;
import xstartup.data.XServiceResult;

import java.util.List;

/**
 * @author lixueyan
 * @date 2023/2/28 0028 14:54
 */
@XService
public class SysBaseInfoSyncServiceImpl implements SysBaseInfoSyncService {

    @Override
    public XListResult<GetSysBaseInfoSysncConfigOutput> querySyncConfig(XContext context) {
        SysBaseInfoSysncConfigMapper mapper = context.getBean(SysBaseInfoSysncConfigMapper.class);
        QueryWrapper<SysBaseInfoSysncConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysBaseInfoSysncConfigEnt::getIsEnable, Constant.FLAG_TRUE);
        List<SysBaseInfoSysncConfigEnt> entList = mapper.selectList(queryWrapper);
        List<GetSysBaseInfoSysncConfigOutput> outputList = XCopyUtils.copyNewList(entList, GetSysBaseInfoSysncConfigOutput.class);
        return XListResult.success(outputList);
    }

    @Override
    public XServiceResult updateSyncConfig(XContext context,GetSysBaseInfoSysncConfigOutput input) {
        //更新最后更新时间
        SysBaseInfoSysncConfigMapper mapper = context.getBean(SysBaseInfoSysncConfigMapper.class);
        SysBaseInfoSysncConfigEnt ent = XCopyUtils.copyNewObject(input, SysBaseInfoSysncConfigEnt.class);
        mapper.updateById(ent);
        return XServiceResult.OK;
    }
}
