package pps.core.system.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.core.system.entity.SysBaseInfoSysncConfigEnt;
import pps.core.system.mapper.SysBaseInfoSysncConfigMapper;
import pps.core.system.service.data.sys_base_info_sysnc_config.*;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XPageResult;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.error.XError;
import xstartup.feature.api.annotation.XApiPost;
import xstartup.feature.mybatis.helper.XMapperHelper;

@XService
public class SysBaseInfoSysncConfigService {
    @XApiPost
    public XServiceResult createSysBaseInfoSysncConfig(XContext context, CreateSysBaseInfoSysncConfigInput input){
        SysBaseInfoSysncConfigMapper mapper = context.getBean(SysBaseInfoSysncConfigMapper.class);
        QueryWrapper<SysBaseInfoSysncConfigEnt> queryWrapper = new QueryWrapper();
        queryWrapper.lambda().eq(SysBaseInfoSysncConfigEnt::getTableName,input.getTableName())
                .eq(SysBaseInfoSysncConfigEnt::getTargetDb,input.getTargetDb());
        SysBaseInfoSysncConfigEnt sysBaseInfoSysncConfigEnt = mapper.selectOne(queryWrapper);
        if(sysBaseInfoSysncConfigEnt!=null){
            return XServiceResult.error(1000,"配置已存在");
        }
        SysBaseInfoSysncConfigEnt entity = new SysBaseInfoSysncConfigEnt();
        XCopyUtils.copyObject(input, entity);
        mapper.insert(entity);
        return XServiceResult.OK;
    }

    @XApiPost
    public XServiceResult updateSysBaseInfoSysncConfig(XContext context, UpdateSysBaseInfoSysncConfigInput input){
        SysBaseInfoSysncConfigMapper mapper = context.getBean(SysBaseInfoSysncConfigMapper.class);
        QueryWrapper<SysBaseInfoSysncConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysBaseInfoSysncConfigEnt::getId, input.getId());
        SysBaseInfoSysncConfigEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }

        QueryWrapper<SysBaseInfoSysncConfigEnt> wrapper = new QueryWrapper();
        wrapper.lambda().eq(SysBaseInfoSysncConfigEnt::getTableName,input.getTableName())
                .eq(SysBaseInfoSysncConfigEnt::getTargetDb,input.getTargetDb());
        SysBaseInfoSysncConfigEnt sysBaseInfoSysncConfigEnt = mapper.selectOne(wrapper);
        if(sysBaseInfoSysncConfigEnt!=null && !sysBaseInfoSysncConfigEnt.getId().equals(input.getId())){
            return XServiceResult.error(1000,"配置已存在");
        }

        XCopyUtils.copyObject(input, entity);
        mapper.updateById(entity);
        return XServiceResult.OK;
    }

    @XApiPost
    public XServiceResult deleteSysBaseInfoSysncConfig(XContext context, DeleteSysBaseInfoSysncConfigInput input){
        SysBaseInfoSysncConfigMapper mapper = context.getBean(SysBaseInfoSysncConfigMapper.class);
        QueryWrapper<SysBaseInfoSysncConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysBaseInfoSysncConfigEnt::getId, input.getId());
        SysBaseInfoSysncConfigEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        mapper.deleteById(entity);
        return XServiceResult.OK;
    }

    @XApiPost
    public XSingleResult<GetSysBaseInfoSysncConfigOutput> getSysBaseInfoSysncConfig(XContext context, GetSysBaseInfoSysncConfigInput input){
        SysBaseInfoSysncConfigMapper mapper = context.getBean(SysBaseInfoSysncConfigMapper.class);
        QueryWrapper<SysBaseInfoSysncConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysBaseInfoSysncConfigEnt::getId, input.getId());
        SysBaseInfoSysncConfigEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSysBaseInfoSysncConfigOutput output = new GetSysBaseInfoSysncConfigOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }

    @XApiPost
    public XPageResult<QuerySysBaseInfoSysncConfigOutput> querySysBaseInfoSysncConfig(XContext context, QuerySysBaseInfoSysncConfigInput input){
        SysBaseInfoSysncConfigMapper mapper = context.getBean(SysBaseInfoSysncConfigMapper.class);
        QueryWrapper<SysBaseInfoSysncConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().like(SysBaseInfoSysncConfigEnt::getTableName, input.getTableName())
            .like(SysBaseInfoSysncConfigEnt::getTargetDb, input.getTargetDb())
            .eq(SysBaseInfoSysncConfigEnt::getIsEnable, input.getIsEnable());
        return XMapperHelper.query(mapper, input, queryWrapper, QuerySysBaseInfoSysncConfigOutput.class);
    }

}
