package pps.core.system.service;

import java.util.Date;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import pps.core.system.mapper.*;
import pps.core.system.entity.*;
import pps.core.system.service.data.sys_inform_template_receive_type.*;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XService;
import xstartup.feature.api.annotation.XApiPost;
import xstartup.feature.api.annotation.XApiGet;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.data.XListResult;
import xstartup.data.XPageResult;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.error.XError;
import xstartup.base.data.CustomQueryInput;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import java.util.List;

@XService
public class SysInformTemplateReceiveTypeService {
    @XApiAnonymous
    @XApiPost
    public XServiceResult createSysInformTemplateReceiveType(XContext context, CreateSysInformTemplateReceiveTypeInput input){
        SysInformTemplateReceiveTypeMapper mapper = context.getBean(SysInformTemplateReceiveTypeMapper.class);
        SysInformTemplateReceiveTypeEnt entity = new SysInformTemplateReceiveTypeEnt();
        XCopyUtils.copyObject(input, entity);
        mapper.insert(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult updateSysInformTemplateReceiveType(XContext context, UpdateSysInformTemplateReceiveTypeInput input){
        SysInformTemplateReceiveTypeMapper mapper = context.getBean(SysInformTemplateReceiveTypeMapper.class);
        QueryWrapper<SysInformTemplateReceiveTypeEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysInformTemplateReceiveTypeEnt::getId, input.getId());
        SysInformTemplateReceiveTypeEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        XCopyUtils.copyObject(input, entity);
        mapper.updateById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult deleteSysInformTemplateReceiveType(XContext context, DeleteSysInformTemplateReceiveTypeInput input){
        SysInformTemplateReceiveTypeMapper mapper = context.getBean(SysInformTemplateReceiveTypeMapper.class);
        QueryWrapper<SysInformTemplateReceiveTypeEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysInformTemplateReceiveTypeEnt::getId, input.getId());
        SysInformTemplateReceiveTypeEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        mapper.deleteById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult<GetSysInformTemplateReceiveTypeOutput> getSysInformTemplateReceiveType(XContext context, GetSysInformTemplateReceiveTypeInput input){
        SysInformTemplateReceiveTypeMapper mapper = context.getBean(SysInformTemplateReceiveTypeMapper.class);
        QueryWrapper<SysInformTemplateReceiveTypeEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysInformTemplateReceiveTypeEnt::getId, input.getId());
        SysInformTemplateReceiveTypeEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSysInformTemplateReceiveTypeOutput output = new GetSysInformTemplateReceiveTypeOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult<GetSysInformTemplateReceiveTypeViewOutput> getSysInformTemplateReceiveTypeView(XContext context, GetSysInformTemplateReceiveTypeViewInput input){
        SysInformTemplateReceiveTypeViewMapper mapper = context.getBean(SysInformTemplateReceiveTypeViewMapper.class);
        SysInformTemplateReceiveTypeView record = new SysInformTemplateReceiveTypeView();
        XCopyUtils.copyObject(input, record);
        SysInformTemplateReceiveTypeView view = mapper.selectOne(record);
        if(view == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSysInformTemplateReceiveTypeViewOutput output = new GetSysInformTemplateReceiveTypeViewOutput();
        XCopyUtils.copyObject(view, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySysInformTemplateReceiveTypeViewOutput> querySysInformTemplateReceiveTypeView(XContext context, QuerySysInformTemplateReceiveTypeViewInput input){
        SysInformTemplateReceiveTypeViewMapper mapper = context.getBean(SysInformTemplateReceiveTypeViewMapper.class);
        SysInformTemplateReceiveTypeView record = new SysInformTemplateReceiveTypeView();
        XCopyUtils.copyObject(input, record);
        PageHelper.startPage(input.getPage(), input.getLimit());
        List<SysInformTemplateReceiveTypeView> list = mapper.selectList(record);
        PageInfo<SysInformTemplateReceiveTypeView> pageInfo = new PageInfo<>(list);
        List<QuerySysInformTemplateReceiveTypeViewOutput> outputs = XCopyUtils.copyNewList(pageInfo.getList(), QuerySysInformTemplateReceiveTypeViewOutput.class);
        return XPageResult.success(outputs, input, pageInfo.getTotal());
    }

}
