package pps.core.system.service;

import pps.cloud.system.service.SysMenuUserCloudService;
import pps.cloud.system.service.data.GetSysMenuUserViewInput;
import pps.cloud.system.service.data.GetSysMenuUserViewOutput;
import pps.cloud.system.service.data.GetSysOrganizationViewInput;
import pps.cloud.system.service.data.GetSysOrganizationViewOutput;
import pps.core.common.session.PpsUserSession;
import pps.core.system.entity.SysMenuView;
import pps.core.system.mapper.SysMenuViewMapper;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.List;

@XText("菜单和用户关联服务")
@XService
public class SysMenuUserCloudServiceImpl implements SysMenuUserCloudService {

    @Override
    public XListResult<GetSysMenuUserViewOutput> selectMenuListByUserId(XContext context, GetSysMenuUserViewInput input) {

        SysMenuViewMapper menuViewMapper = context.getBean(SysMenuViewMapper.class);
        PpsUserSession session = context.getSession(PpsUserSession.class);
        SysMenuView menuView = new SysMenuView();
        menuView.setMediaType(input.getMediaType());
        menuView.setUserId(session.getId());
        List<SysMenuView> menus = menuViewMapper.getMenusByUserId(menuView);
        List<GetSysMenuUserViewOutput> outputs = XCopyUtils.copyNewList(menus, GetSysMenuUserViewOutput.class);
        return XListResult.success(outputs);
    }
}
