package pps.core.system.service;

import pps.cloud.system.service.SysOrganizationHierarchyService;
import pps.cloud.system.service.data.GetSysOrganizationRelViewInput;
import pps.cloud.system.service.data.GetSysOrganizationRelViewOutput;
import pps.core.system.entity.SysOrganizationRelView;
import pps.core.system.mapper.SysOrganizationRelViewMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.List;

@XService
public class SysOrganizationHierarchyServiceImpl implements SysOrganizationHierarchyService {
    @Override
    public XListResult<GetSysOrganizationRelViewOutput> getSysOrganizationRelView(XContext context, GetSysOrganizationRelViewInput organizationRelViewInput) {
        SysOrganizationRelViewMapper mapper = context.getBean(SysOrganizationRelViewMapper.class);
        List<SysOrganizationRelView> list = mapper.selectListByOuId(organizationRelViewInput.getOuId());
        List<GetSysOrganizationRelViewOutput> outputList = XCopyUtils.copyNewList(list, GetSysOrganizationRelViewOutput.class);
        return XListResult.success(outputList);
    }
}
