package pps.core.system.service;

import pps.cloud.system.service.SysRoleCloudService;
import pps.cloud.system.service.data.*;
import pps.core.system.entity.SysRoleExtendView;
import pps.core.system.entity.SysRoleView;
import pps.core.system.mapper.SysRoleViewMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;
import xstartup.data.XPageResult;
import xstartup.data.XSingleResult;

import java.util.List;

/**
 * @author lixueyan
 * @date 2022/7/14 0014 10:13
 */
@XService
public class SysRoleServiceImpl implements SysRoleCloudService {
    @Override
    public XSingleResult<GetSysRoleOutput> getSysRole(XContext context, GetSysRoleInput input) {
        context.getLogger().debug("ttttttttttttt");
        GetSysRoleOutput out = new GetSysRoleOutput();
        return XSingleResult.success(out);
    }

    @Override
    public XPageResult<QuerySysRoleOutput> querySysRole(XContext context, QuerySysRoleInput input) {
        context.getLogger().debug("ttttttttttttt");
        return null;
    }

    @Override
    public XListResult<GetUserListWithRoleIdsOutput> getUserListWithRoleIds(XContext context, GetUserListWithRoleIdsInput input) {
        SysRoleViewMapper mapper = context.getBean(SysRoleViewMapper.class);
        SysRoleExtendView record = XCopyUtils.copyNewObject(input, SysRoleExtendView.class);
        List<SysRoleExtendView> list = mapper.selectUserWithRoleIds(record);
        List<GetUserListWithRoleIdsOutput> outputs = XCopyUtils.copyNewList(list, GetUserListWithRoleIdsOutput.class);
        return XListResult.success(outputs);
    }

    public XListResult<GetUserListWithRoleIdsOutput> getRoleListWithNotInRoleIds(XContext context, GetUserListWithRoleIdsInput input) {
        SysRoleViewMapper mapper = context.getBean(SysRoleViewMapper.class);
        SysRoleExtendView record = XCopyUtils.copyNewObject(input, SysRoleExtendView.class);
        List<SysRoleExtendView> list = mapper.getRoleListNotInRoleIds(record);
        List<GetUserListWithRoleIdsOutput> outputs = XCopyUtils.copyNewList(list, GetUserListWithRoleIdsOutput.class);
        return XListResult.success(outputs);
    }

    public XListResult<GetUserListWithRoleIdsOutput> getRoleListWithInRoleIds(XContext context, GetUserListWithRoleIdsInput input) {
        SysRoleViewMapper mapper = context.getBean(SysRoleViewMapper.class);
        SysRoleExtendView record = XCopyUtils.copyNewObject(input, SysRoleExtendView.class);
        List<SysRoleExtendView> list = mapper.getRoleListInRoleIds(record);
        List<GetUserListWithRoleIdsOutput> outputs = XCopyUtils.copyNewList(list, GetUserListWithRoleIdsOutput.class);
        return XListResult.success(outputs);
    }
}
