package pps.core.system.service;

import java.util.Date;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.core.system.mapper.*;
import pps.core.system.entity.*;
import pps.core.system.service.data.sys_sms_group_user.*;
import xstartup.annotation.XService;
import xstartup.feature.api.annotation.XApiPost;
import xstartup.feature.api.annotation.XApiGet;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.data.XServiceResult;
import xstartup.data.XPageResult;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.error.XError;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import java.util.List;

@XService
public class SysSmsGroupUserService {
    @XApiAnonymous
    @XApiPost
    public XServiceResult createSysSmsGroupUser(XContext context, CreateSysSmsGroupUserInput input){
        SysSmsGroupUserMapper mapper = context.getBean(SysSmsGroupUserMapper.class);
        SysSmsGroupUserEnt entity = new SysSmsGroupUserEnt();
        XCopyUtils.copyObject(input, entity);
        mapper.insert(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult updateSysSmsGroupUser(XContext context, CreateSysSmsGroupUserInput input){
        SysSmsGroupUserMapper mapper = context.getBean(SysSmsGroupUserMapper.class);
        QueryWrapper<SysSmsGroupUserEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysSmsGroupUserEnt::getSmsGroupUserId, input.getSmsGroupUserId());
        SysSmsGroupUserEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        XCopyUtils.copyObject(input, entity);
        mapper.updateById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult deleteSysSmsGroupUser(XContext context, CreateSysSmsGroupUserInput input){
        SysSmsGroupUserMapper mapper = context.getBean(SysSmsGroupUserMapper.class);
        QueryWrapper<SysSmsGroupUserEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysSmsGroupUserEnt::getSmsGroupUserId, input.getSmsGroupUserId());
        SysSmsGroupUserEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        mapper.deleteById(entity);
        return XServiceResult.OK;
    }


    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySysSmsGroupUserViewOutput> querySysSmsGroupUserView(XContext context, QuerySysSmsGroupUserViewInput input){
        SysSmsGroupUserViewMapper mapper = context.getBean(SysSmsGroupUserViewMapper.class);
        SysSmsGroupUserView record = new SysSmsGroupUserView();
        XCopyUtils.copyObject(input, record);
        PageHelper.startPage(input.getPage(), input.getLimit());
        List<SysSmsGroupUserView> list = mapper.selectList(record);
        PageInfo<SysSmsGroupUserView> pageInfo = new PageInfo<>(list);
        List<QuerySysSmsGroupUserViewOutput> outputs = XCopyUtils.copyNewList(pageInfo.getList(), QuerySysSmsGroupUserViewOutput.class);
        return XPageResult.success(outputs, input, pageInfo.getTotal());
    }

}
