package pps.core.system.service;

import java.util.Date;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import pps.core.system.mapper.*;
import pps.core.system.entity.*;
import pps.core.system.service.data.sys_user_organization_rel.*;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XService;
import xstartup.feature.api.annotation.XApiPost;
import xstartup.feature.api.annotation.XApiGet;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.data.XListResult;
import xstartup.data.XPageResult;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.error.XError;
import xstartup.base.data.CustomQueryInput;
import xstartup.feature.mybatis.helper.XMapperHelper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import java.util.List;

@XService
public class SysUserOrganizationRelService {
    @XApiAnonymous
    @XApiPost
    public XServiceResult createSysUserOrganizationRel(XContext context, CreateSysUserOrganizationRelInput input){
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        SysUserOrganizationRelEnt entity = new SysUserOrganizationRelEnt();
        XCopyUtils.copyObject(input, entity);
        mapper.insert(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult updateSysUserOrganizationRel(XContext context, UpdateSysUserOrganizationRelInput input){
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        QueryWrapper<SysUserOrganizationRelEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysUserOrganizationRelEnt::getId, input.getId());
        SysUserOrganizationRelEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        XCopyUtils.copyObject(input, entity);
        mapper.updateById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult deleteSysUserOrganizationRel(XContext context, DeleteSysUserOrganizationRelInput input){
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        QueryWrapper<SysUserOrganizationRelEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysUserOrganizationRelEnt::getId, input.getId());
        SysUserOrganizationRelEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        mapper.deleteById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult<GetSysUserOrganizationRelOutput> getSysUserOrganizationRel(XContext context, GetSysUserOrganizationRelInput input){
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        QueryWrapper<SysUserOrganizationRelEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysUserOrganizationRelEnt::getId, input.getId());
        SysUserOrganizationRelEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSysUserOrganizationRelOutput output = new GetSysUserOrganizationRelOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySysUserOrganizationRelOutput> querySysUserOrganizationRel(XContext context, QuerySysUserOrganizationRelInput input){
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        QueryWrapper<SysUserOrganizationRelEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().like(SysUserOrganizationRelEnt::getId, input.getId())
            .like(SysUserOrganizationRelEnt::getOuId, input.getOuId())
            .like(SysUserOrganizationRelEnt::getUserId, input.getUserId())
            .like(SysUserOrganizationRelEnt::getCreateById, input.getCreateById())
            .like(SysUserOrganizationRelEnt::getCreateByName, input.getCreateByName())
            .eq(SysUserOrganizationRelEnt::getCreateTime, input.getCreateTime())
            .like(SysUserOrganizationRelEnt::getModifyById, input.getModifyById())
            .like(SysUserOrganizationRelEnt::getModifyByName, input.getModifyByName())
            .eq(SysUserOrganizationRelEnt::getModifyTime, input.getModifyTime());
        return XMapperHelper.query(mapper, input, queryWrapper, QuerySysUserOrganizationRelOutput.class);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySysUserOrganizationRelOutput> dynamicQuerySysUserOrganizationRel(XContext context, CustomQueryInput input){
        SysUserOrganizationRelMapper mapper = context.getBean(SysUserOrganizationRelMapper.class);
        return XMapperHelper.query(mapper, input, SysUserOrganizationRelEnt.class, QuerySysUserOrganizationRelOutput.class);
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult<GetSysUserOrganizationRelViewOutput> getSysUserOrganizationRelView(XContext context, GetSysUserOrganizationRelViewInput input){
        SysUserOrganizationRelViewMapper mapper = context.getBean(SysUserOrganizationRelViewMapper.class);
        SysUserOrganizationRelView record = new SysUserOrganizationRelView();
        XCopyUtils.copyObject(input, record);
        SysUserOrganizationRelView view = mapper.selectOne(record);
        if(view == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSysUserOrganizationRelViewOutput output = new GetSysUserOrganizationRelViewOutput();
        XCopyUtils.copyObject(view, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySysUserOrganizationRelViewOutput> querySysUserOrganizationRelView(XContext context, QuerySysUserOrganizationRelViewInput input){
        SysUserOrganizationRelViewMapper mapper = context.getBean(SysUserOrganizationRelViewMapper.class);
        SysUserOrganizationRelView record = new SysUserOrganizationRelView();
        XCopyUtils.copyObject(input, record);
        PageHelper.startPage(input.getPage(), input.getLimit());
        List<SysUserOrganizationRelView> list = mapper.selectList(record);
        PageInfo<SysUserOrganizationRelView> pageInfo = new PageInfo<>(list);
        List<QuerySysUserOrganizationRelViewOutput> outputs = XCopyUtils.copyNewList(pageInfo.getList(), QuerySysUserOrganizationRelViewOutput.class);
        return XPageResult.success(outputs, input, pageInfo.getTotal());
    }

}
