package pps.core.system.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import pps.cloud.system.service.SystemAreaService;
import pps.cloud.system.service.data.AddressInfoModel;
import pps.cloud.system.service.data.GetSysAreaInput;
import pps.cloud.system.service.data.GetSysAreaOutput;
import pps.core.system.entity.SysAreaEnt;
import pps.core.system.entity.SysAreaView;
import pps.core.system.mapper.SysAreaMapper;
import pps.core.system.mapper.SysAreaViewMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;
import xstartup.feature.api.annotation.XApiPost;

import java.util.List;

@XService
public class SystemAreaServiceImpl implements SystemAreaService {


    @XApiPost
    @Override
    public XListResult<GetSysAreaOutput> getSysAreaList(XContext context, GetSysAreaInput input) {
        SysAreaViewMapper mapper = context.getBean(SysAreaViewMapper.class);
        List<SysAreaView> sysAreaViews = mapper.selectListAll(new SysAreaView());
        List<GetSysAreaOutput> getSysAreaOutputs = XCopyUtils.copyNewList(sysAreaViews, GetSysAreaOutput.class);
        return XListResult.success(getSysAreaOutputs);
    }

    @XApiPost
    @Override
    public XSingleResult<AddressInfoModel> getAddressInfo(XContext context, GetSysAreaInput input) {
        Integer sysAreaId = input.getId();
        SysAreaMapper mapper = context.getBean(SysAreaMapper.class);
        AddressInfoModel model = new AddressInfoModel();
        QueryWrapper<SysAreaEnt> queryWrapper =new QueryWrapper<>();
        queryWrapper.lambda().eq(SysAreaEnt::getId,sysAreaId);
        SysAreaEnt sysAreaEnt = mapper.selectOne(queryWrapper);


        if(ObjectUtils.isNotEmpty(sysAreaEnt)){
            if(sysAreaEnt.getLev()==0){
                model.setArea(String.valueOf(sysAreaEnt.getId()));
            }
            while (!StringUtils.equals("0",String.valueOf(sysAreaEnt.getParentId()))){
                if(sysAreaEnt.getLev()==1){
                    model.setProvince(String.valueOf(sysAreaEnt.getId()));
                }
                if(sysAreaEnt.getLev()==2){
                    model.setCity(String.valueOf(sysAreaEnt.getId()));
                }
                if(sysAreaEnt.getLev()==3){
                    model.setCounty(String.valueOf(sysAreaEnt.getId()));
                }
                QueryWrapper<SysAreaEnt> query =new QueryWrapper<>();
                query.lambda().eq(SysAreaEnt::getId,sysAreaEnt.getParentId());
                sysAreaEnt = mapper.selectOne(query);
                if(sysAreaEnt.getLev()==0){
                    model.setArea(String.valueOf(sysAreaEnt.getId()));
                }
            }
        }
        return XSingleResult.success(model);
    }
}
