package pps.core.system.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.cloud.system.service.SystemOrganizationDictionaryService;
import pps.cloud.system.service.data.QuerySysOrganizationDictionaryInput;
import pps.cloud.system.service.data.QuerySysOrganizationDictionaryOutput;
import pps.core.system.entity.SysOrganizationDictionaryEnt;
import pps.core.system.entity.SysOrganizationDictionaryView;
import pps.core.system.mapper.SysOrganizationDictionaryMapper;
import pps.core.system.mapper.SysOrganizationDictionaryViewMapper;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;
import xstartup.data.XPageResult;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.feature.api.annotation.XApiPost;
import xstartup.feature.mybatis.helper.XMapperHelper;

import java.util.Date;
import java.util.List;
@XService
public class SystemOrganizationDictionaryServiceImpl implements SystemOrganizationDictionaryService {

    @XText("根据组织机构id查询所有字典id")
    @XApiAnonymous
    @XApiPost
    @Override
    public XPageResult<QuerySysOrganizationDictionaryOutput> querySysOrganizationDictionary(XContext context, QuerySysOrganizationDictionaryInput input){
        SysOrganizationDictionaryMapper mapper = context.getBean(SysOrganizationDictionaryMapper.class);
        QueryWrapper<SysOrganizationDictionaryEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().like(SysOrganizationDictionaryEnt::getOuId, input.getOuId())
                .gt(SysOrganizationDictionaryEnt::getEndTime, new Date());
        return XMapperHelper.query(mapper, input, queryWrapper, QuerySysOrganizationDictionaryOutput.class);
    }

    @XText("根据组织机构id查询所有字典数据")
    @XApiAnonymous
    @XApiPost
    public XListResult<QuerySysOrganizationDictionaryOutput> queryOrganizationDictionary(XContext context, QuerySysOrganizationDictionaryInput input){
        SysOrganizationDictionaryViewMapper mapper = context.getBean(SysOrganizationDictionaryViewMapper.class);
        SysOrganizationDictionaryView record = new SysOrganizationDictionaryView();
        record.setEndTime(new Date());
        record.setOuId(input.getOuId());
        List<SysOrganizationDictionaryView> list = mapper.selectListByOuId(record);
        List<QuerySysOrganizationDictionaryOutput> out = XCopyUtils.copyNewList(list, QuerySysOrganizationDictionaryOutput.class);
        return XListResult.success(out);
    }
}
