package pps.core.system.service;

import pps.cloud.system.service.SystemUserInfoService;
import pps.cloud.system.service.data.GetSystemUserInfoInput;
import pps.cloud.system.service.data.GetSystemUserInfoOutput;
import pps.core.system.entity.SysUserView;
import pps.core.system.mapper.SysUserViewMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;
import xstartup.feature.api.annotation.XApiPost;

import java.util.List;


@XService
public class SystemUserInfoServiceImpl implements SystemUserInfoService {

    @XApiPost
    @Override
    public XListResult<GetSystemUserInfoOutput> getSystemUserInfoList(XContext context, GetSystemUserInfoInput input) {
        //获取用户id对应的详细信息
        SysUserViewMapper mapper = context.getBean(SysUserViewMapper.class);
        SysUserView userView = new SysUserView();
        userView.setOuId(input.getOuId());
        List<SysUserView> userViewList = mapper.getSysUserListByOuId(userView);
        List<GetSystemUserInfoOutput> outputList = XCopyUtils.copyNewList(userViewList, GetSystemUserInfoOutput.class);
        return XListResult.success(outputList);
    }
}
