package pps.cloud.base.service;

import pps.cloud.base.service.data.*;
import pps.cloud.base.service.data.base_pipeline.SelectClientByConditionInput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.feature.api.annotation.XApiPost;

@XService
public interface BaseBaseClientCloudService {

    @XText("根据名称获取托运商数据")
    XSingleResult<FindBaseClientOutput> selectShipperByName(XContext context, BaseNameInput input);

    @XText("根据名称获取上游用户数据")
    XSingleResult<FindBaseClientOutput> selectUpClientByName(XContext context, BaseNameInput input);

    @XText("根据名称获取下游数据")
    XSingleResult<FindBaseClientOutput> selectDownClientByName(XContext context, BaseNameInput input);

    @XText("根据条件获取Client数据")
    XListResult<FindBaseClientOutput> selectClientByCondition(XContext context, SelectClientByConditionInput input);

    @XApiPost
    @XText("查询上游下游关系列表")
    XListResult<QueryBaseClientViewOutput> queryBaseClientStationRelByOuId(XContext context, QueryBaseClientViewInput input);

    @XText("查询Client")
    XSingleResult<QueryBaseClientViewOutput> selectBaseClientById(XContext context, NameIdInput input);

    @XText("更新上下游用户与托运商")
    XServiceResult updateBaseClient(XContext context, UpdateBaseClientCloudInput input);
}
