package pps.cloud.base.service.data.base_pipeline;

import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

public class PipelineListOutput {

    @XText("管线ID(主键)")
    private String id;

    @XText("管线编码")
    private String pipelineCode;

    @XText("管线名称")
    private String pipelineName;

    @XText("管线缩写")
    private String shortName;

    @XText("介质类型 ")
    private String mediumType;

    @XText("管线直径")
    private BigDecimal pipelineRadius;

    @XText("管线厚度")
    private BigDecimal thickness;

    @XText("管线总长度")
    private BigDecimal totalLength;

    @XText("标准压力")
    private BigDecimal standardPressure;

    @XText("标准温度")
    private BigDecimal standardTemperature;

    @XText("最小流量")
    private BigDecimal minFlux;

    @XText("上级管线ID,若无上级为空(此字段一般用于支线)")
    private String parentPipelineId;

    @XText("管线类型(字典)")
    private String pipelineType;

    @XText("是否国内")
    private Integer beDomestic;

    @XText("管线级别(字典)")
    private String pipelineLevel;

    @XText("排序")
    private Integer sort;

    @XText("生效时间")
    private Date effectTime;

    @XText("截止时间")
    private Date endTime;

    @XText("管线的SCADA代码")
    private String scadaPipelineCode;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("管线层级路径")
    private String parentPath;

    @XText("管线层级路径")
    private String pipelineSys;

    @XText("管线显示名称")
    private String pipelineDisplayName;

    @XText("调控台")
    private String dispatchDesk;

    @XText("所属企业id")
    private String enterpriseId;

    @XText("所属企业名称")
    private String enterpriseName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPipelineCode() {
        return pipelineCode;
    }

    public void setPipelineCode(String pipelineCode) {
        this.pipelineCode = pipelineCode;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public String getMediumType() {
        return mediumType;
    }

    public void setMediumType(String mediumType) {
        this.mediumType = mediumType;
    }

    public BigDecimal getPipelineRadius() {
        return pipelineRadius;
    }

    public void setPipelineRadius(BigDecimal pipelineRadius) {
        this.pipelineRadius = pipelineRadius;
    }

    public BigDecimal getThickness() {
        return thickness;
    }

    public void setThickness(BigDecimal thickness) {
        this.thickness = thickness;
    }

    public BigDecimal getTotalLength() {
        return totalLength;
    }

    public void setTotalLength(BigDecimal totalLength) {
        this.totalLength = totalLength;
    }

    public BigDecimal getStandardPressure() {
        return standardPressure;
    }

    public void setStandardPressure(BigDecimal standardPressure) {
        this.standardPressure = standardPressure;
    }

    public BigDecimal getStandardTemperature() {
        return standardTemperature;
    }

    public void setStandardTemperature(BigDecimal standardTemperature) {
        this.standardTemperature = standardTemperature;
    }

    public BigDecimal getMinFlux() {
        return minFlux;
    }

    public void setMinFlux(BigDecimal minFlux) {
        this.minFlux = minFlux;
    }

    public String getParentPipelineId() {
        return parentPipelineId;
    }

    public void setParentPipelineId(String parentPipelineId) {
        this.parentPipelineId = parentPipelineId;
    }

    public String getPipelineType() {
        return pipelineType;
    }

    public void setPipelineType(String pipelineType) {
        this.pipelineType = pipelineType;
    }

    public Integer getBeDomestic() {
        return beDomestic;
    }

    public void setBeDomestic(Integer beDomestic) {
        this.beDomestic = beDomestic;
    }

    public String getPipelineLevel() {
        return pipelineLevel;
    }

    public void setPipelineLevel(String pipelineLevel) {
        this.pipelineLevel = pipelineLevel;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(Date effectTime) {
        this.effectTime = effectTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getScadaPipelineCode() {
        return scadaPipelineCode;
    }

    public void setScadaPipelineCode(String scadaPipelineCode) {
        this.scadaPipelineCode = scadaPipelineCode;
    }

    public String getCreateById() {
        return createById;
    }

    public void setCreateById(String createById) {
        this.createById = createById;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyById() {
        return modifyById;
    }

    public void setModifyById(String modifyById) {
        this.modifyById = modifyById;
    }

    public String getModifyByName() {
        return modifyByName;
    }

    public void setModifyByName(String modifyByName) {
        this.modifyByName = modifyByName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getParentPath() {
        return parentPath;
    }

    public void setParentPath(String parentPath) {
        this.parentPath = parentPath;
    }

    public String getPipelineSys() {
        return pipelineSys;
    }

    public void setPipelineSys(String pipelineSys) {
        this.pipelineSys = pipelineSys;
    }

    public String getPipelineDisplayName() {
        return pipelineDisplayName;
    }

    public void setPipelineDisplayName(String pipelineDisplayName) {
        this.pipelineDisplayName = pipelineDisplayName;
    }

    public String getDispatchDesk() {
        return dispatchDesk;
    }

    public void setDispatchDesk(String dispatchDesk) {
        this.dispatchDesk = dispatchDesk;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }
}
