package pps.cloud.base.service.data.base_segment;

import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

public class CreateBaseSegmentInput {
    @XText("管段ID")
    private String id;

    @XText("管段编码")
    private String segmentCode;

    @XText("管段名称（存储多个气口的名称）")
    private String segmentName;

    @XText("长度")
    private BigDecimal segmentLength;

    @XText("半径")
    private BigDecimal segmentRadius;

    @XText("外径")
    private BigDecimal outsideRadius;

    @XText("厚度")
    private BigDecimal thickness;

    @XText("容量")
    private BigDecimal capacity;

    @XText("起点")
    private String startStationId;

    @XText("起点类型描述：场站，上游用户，下游用户")
    private String startStationType;

    @XText("末点")
    private String endStationId;

    @XText("末点类型描述：场站，上游用户，下游用户")
    private String endStationType;

    @XText("是否为发生转供的管段")
    private Integer bePipelineTransfer;

    @XText("输送方式 (字典: 船  火车  汽车  管线)")
    private String transferType;

    @XText("生效时间")
    private Date effectTime;

    @XText("结束时间")
    private Date endTime;

    @XText("是否上游用户，下游用户与场站之间的管段，默认值为0")
    private Integer beTraderType;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("管线id")
    private String pipelineId;

    @XText("管段类型")
    private String segmentType;

    @XText("是否反输0、是1、否")
    private Integer beReverse;

    @XText("排序序号")
    private Integer sort;

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getBeReverse() {
        return beReverse;
    }

    public void setBeReverse(Integer beReverse) {
        this.beReverse = beReverse;
    }

    public String getSegmentType() {
        return segmentType;
    }

    public void setSegmentType(String segmentType) {
        this.segmentType = segmentType;
    }

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getSegmentCode() {
        return this.segmentCode;
    }

    public void setSegmentCode(String value) {
        this.segmentCode = value;
    }

    public String getSegmentName() {
        return this.segmentName;
    }

    public void setSegmentName(String value) {
        this.segmentName = value;
    }

    public BigDecimal getSegmentLength() {
        return segmentLength;
    }

    public void setSegmentLength(BigDecimal segmentLength) {
        this.segmentLength = segmentLength;
    }

    public BigDecimal getSegmentRadius() {
        return segmentRadius;
    }

    public void setSegmentRadius(BigDecimal segmentRadius) {
        this.segmentRadius = segmentRadius;
    }

    public BigDecimal getOutsideRadius() {
        return outsideRadius;
    }

    public void setOutsideRadius(BigDecimal outsideRadius) {
        this.outsideRadius = outsideRadius;
    }

    public BigDecimal getThickness() {
        return thickness;
    }

    public void setThickness(BigDecimal thickness) {
        this.thickness = thickness;
    }

    public BigDecimal getCapacity() {
        return capacity;
    }

    public void setCapacity(BigDecimal capacity) {
        this.capacity = capacity;
    }

    public String getStartStationId() {
        return this.startStationId;
    }

    public void setStartStationId(String value) {
        this.startStationId = value;
    }

    public String getStartStationType() {
        return this.startStationType;
    }

    public void setStartStationType(String value) {
        this.startStationType = value;
    }

    public String getEndStationId() {
        return this.endStationId;
    }

    public void setEndStationId(String value) {
        this.endStationId = value;
    }

    public String getEndStationType() {
        return this.endStationType;
    }

    public void setEndStationType(String value) {
        this.endStationType = value;
    }

    public Integer getBePipelineTransfer() {
        return bePipelineTransfer;
    }

    public void setBePipelineTransfer(Integer bePipelineTransfer) {
        this.bePipelineTransfer = bePipelineTransfer;
    }

    public String getTransferType() {
        return this.transferType;
    }

    public void setTransferType(String value) {
        this.transferType = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public Integer getBeTraderType() {
        return this.beTraderType;
    }

    public void setBeTraderType(Integer value) {
        this.beTraderType = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
