package pps.core.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

public class BaseClientStationRelView implements Serializable {
    @XText("上下游用户与场站关系表id(主键)")
    @TableField
    private String id;

    @XText("场站id")
    @TableField
    private String stationId;

    @XText("场站名称")
    private String stationName;

    @XText("管线id")
    @TableField
    private String pipelineId;

    @XText("管线名称")
    private String pipelineName;

    @XText("组织机构id")
    @TableField
    private String ouid;

    @XText("上下游用户id")
    @TableField
    private String clientId;

    @XText("上下游名称")
    private String clientName;

    @XText("托运商id")
    @TableField
    private String consignor;

    @XText("托运商名称")
    private String consignorName;

    @XText("客户类型（上游用户/下游用户）")
    @TableField
    private Integer type;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("截止时间")
    @TableField
    private Date endTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("长度")
    private BigDecimal segmentLength;

    @XText("半径")
    private BigDecimal segmentRadius;

    @XText("厚度")
    private BigDecimal thickness;

    @XText("容量")
    private BigDecimal capacity;

    @XText("管段名称")
    private String segmentName;

    @XText("是否有效")
    private Integer beValid;

    @XText("管道id")
    private String segmentId;

    @XText("场站id")
    private List<String> stationIds;

    @XText("用户ids")
    private List<String> clientIds;

    public Integer getBeValid() {
        return beValid;
    }

    public void setBeValid(Integer beValid) {
        this.beValid = beValid;
    }

    public String getSegmentName() {
        return segmentName;
    }

    public void setSegmentName(String segmentName) {
        this.segmentName = segmentName;
    }

    public BigDecimal getSegmentLength() {
        return segmentLength;
    }

    public void setSegmentLength(BigDecimal segmentLength) {
        this.segmentLength = segmentLength;
    }

    public BigDecimal getSegmentRadius() {
        return segmentRadius;
    }

    public void setSegmentRadius(BigDecimal segmentRadius) {
        this.segmentRadius = segmentRadius;
    }

    public BigDecimal getThickness() {
        return thickness;
    }

    public void setThickness(BigDecimal thickness) {
        this.thickness = thickness;
    }

    public BigDecimal getCapacity() {
        return capacity;
    }

    public void setCapacity(BigDecimal capacity) {
        this.capacity = capacity;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getPipelineId() {
        return this.pipelineId;
    }

    public void setPipelineId(String value) {
        this.pipelineId = value;
    }

    public String getOuid() {
        return this.ouid;
    }

    public void setOuid(String value) {
        this.ouid = value;
    }

    public String getClientId() {
        return this.clientId;
    }

    public void setClientId(String value) {
        this.clientId = value;
    }

    public String getConsignor() {
        return this.consignor;
    }

    public void setConsignor(String value) {
        this.consignor = value;
    }

    public Integer getType() {
        return this.type;
    }

    public void setType(Integer value) {
        this.type = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getConsignorName() {
        return consignorName;
    }

    public void setConsignorName(String consignorName) {
        this.consignorName = consignorName;
    }

    public String getSegmentId() {
        return segmentId;
    }

    public void setSegmentId(String segmentId) {
        this.segmentId = segmentId;
    }

    public List<String> getStationIds() {
        return stationIds;
    }

    public void setStationIds(List<String> stationIds) {
        this.stationIds = stationIds;
    }

    public List<String> getClientIds() {
        return clientIds;
    }

    public void setClientIds(List<String> clientIds) {
        this.clientIds = clientIds;
    }
}
