package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("base_pipeline")
public class BasePipelineEnt implements Serializable {
    @XText("管线ID(主键)")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("管线编码")
    @TableField
    private String pipelineCode;

    @XText("管线名称")
    @TableField
    private String pipelineName;

    @XText("管线缩写")
    @TableField
    private String shortName;

    @XText("介质类型 ")
    @TableField
    private String mediumType;

    @XText("管线直径")
    @TableField
    private BigDecimal pipelineRadius;

    @XText("管线厚度")
    @TableField
    private BigDecimal thickness;

    @XText("管线总长度")
    @TableField
    private BigDecimal totalLength;

    @XText("标准压力")
    @TableField
    private BigDecimal standardPressure;

    @XText("标准温度")
    @TableField
    private BigDecimal standardTemperature;

    @XText("最小流量")
    @TableField
    private BigDecimal minFlux;

    @XText("上级管线ID,若无上级为空(此字段一般用于支线)")
    @TableField
    private String parentPipelineId;

    @XText("管线类型(字典)")
    @TableField
    private String pipelineType;

    @XText("是否国内")
    @TableField
    private Integer beDomestic;

    @XText("管线级别(字典)")
    @TableField
    private String pipelineLevel;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("截止时间")
    @TableField
    private Date endTime;

    @XText("管线的SCADA代码")
    @TableField
    private String scadaPipelineCode;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("管线层级路径")
    @TableField
    private String parentPath;

    @XText("管线层级路径")
    @TableField
    private String pipelineSys;

    @XText("管线显示名称")
    @TableField
    private String pipelineDisplayName;

    @XText("调控台")
    @TableField
    private String dispatchDesk;

    @XText("所属企业id")
    @TableField
    private String enterpriseId;

    @XText("所属企业名称")
    @TableField
    private String enterpriseName;

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getPipelineDisplayName() {
        return pipelineDisplayName;
    }

    public void setPipelineDisplayName(String pipelineDisplayName) {
        this.pipelineDisplayName = pipelineDisplayName;
    }

    public String getDispatchDesk() {
        return dispatchDesk;
    }

    public void setDispatchDesk(String dispatchDesk) {
        this.dispatchDesk = dispatchDesk;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getPipelineSys() {
        return pipelineSys;
    }

    public void setPipelineSys(String pipelineSys) {
        this.pipelineSys = pipelineSys;
    }

    public String getParentPath() {
        return parentPath;
    }

    public void setParentPath(String parentPath) {
        this.parentPath = parentPath;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getPipelineCode() {
        return this.pipelineCode;
    }

    public void setPipelineCode(String value) {
        this.pipelineCode = value;
    }

    public String getPipelineName() {
        return this.pipelineName;
    }

    public void setPipelineName(String value) {
        this.pipelineName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getMediumType() {
        return this.mediumType;
    }

    public void setMediumType(String value) {
        this.mediumType = value;
    }

    public BigDecimal getPipelineRadius() {
        return pipelineRadius;
    }

    public void setPipelineRadius(BigDecimal pipelineRadius) {
        this.pipelineRadius = pipelineRadius;
    }

    public BigDecimal getThickness() {
        return this.thickness;
    }

    public void setThickness(BigDecimal value) {
        this.thickness = value;
    }

    public BigDecimal getTotalLength() {
        return this.totalLength;
    }

    public void setTotalLength(BigDecimal value) {
        this.totalLength = value;
    }

    public BigDecimal getStandardPressure() {
        return this.standardPressure;
    }

    public void setStandardPressure(BigDecimal value) {
        this.standardPressure = value;
    }

    public BigDecimal getStandardTemperature() {
        return this.standardTemperature;
    }

    public void setStandardTemperature(BigDecimal value) {
        this.standardTemperature = value;
    }

    public BigDecimal getMinFlux() {
        return this.minFlux;
    }

    public void setMinFlux(BigDecimal value) {
        this.minFlux = value;
    }

    public String getParentPipelineId() {
        return this.parentPipelineId;
    }

    public void setParentPipelineId(String value) {
        this.parentPipelineId = value;
    }

    public String getPipelineType() {
        return this.pipelineType;
    }

    public void setPipelineType(String value) {
        this.pipelineType = value;
    }

    public Integer getBeDomestic() {
        return beDomestic;
    }

    public void setBeDomestic(Integer beDomestic) {
        this.beDomestic = beDomestic;
    }

    public String getPipelineLevel() {
        return this.pipelineLevel;
    }

    public void setPipelineLevel(String value) {
        this.pipelineLevel = value;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getScadaPipelineCode() {
        return this.scadaPipelineCode;
    }

    public void setScadaPipelineCode(String value) {
        this.scadaPipelineCode = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
