package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class BasePipelineView implements Serializable {
    @XText("管线ID(主键)")
    @TableField
    private String id;

    @XText("管线编码")
    @TableField
    private String pipelineCode;

    @XText("管线名称")
    @TableField
    private String pipelineName;

    @XText("管线缩写")
    @TableField
    private String shortName;

    @XText("介质类型 ")
    @TableField
    private String mediumType;

    @XText("管线直径")
    @TableField
    private BigDecimal pipelineRadius;

    @XText("管线厚度")
    @TableField
    private BigDecimal thickness;

    @XText("管线总长度")
    @TableField
    private BigDecimal totalLength;

    @XText("标准压力")
    @TableField
    private BigDecimal standardPressure;

    @XText("标准温度")
    @TableField
    private BigDecimal standardTemperature;

    @XText("最小流量")
    @TableField
    private BigDecimal minFlux;

    @XText("上级管线ID,若无上级为空(此字段一般用于支线)")
    @TableField
    private String parentPipelineId;

    @XText("管线类型(字典)")
    @TableField
    private String pipelineType;

    @XText("是否国内")
    @TableField
    private Integer beDomestic;

    @XText("管线级别(字典)")
    @TableField
    private String pipelineLevel;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("截止时间")
    @TableField
    private Date endTime;

    @XText("管线的SCADA代码")
    @TableField
    private String scadaPipelineCode;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("管线层级路径")
    @TableField
    private String parentPath;

    @XText("管线层级路径")
    @TableField
    private String pipelineSys;

    @XText("经度")
    @TableField
    private String stationLongitude;

    @XText("纬度")
    @TableField
    private String stationLatitude;


    @XText("下游场站经度")
    @TableField
    private String xStationLongitude;

    @XText("下游场站纬度")
    @TableField
    private String xStationLatitude;

    @XText("下游场站名称")
    @TableField
    private String xStationName;

    @XText("上游场站名称")
    @TableField
    private String stationName;

    @XText("下游场站id")
    @TableField
    private String xStationId;

    @XText("上游场站id")
    @TableField
    private String stationId;

    @XText("上级id")
    private String parentId;

    @XText("管段颜色")
    private String segmentColor;

    @XText("上游场站颜色")
    private String stationColor;

    @XText("下游场站颜色")
    private String xStationColor;

    @XText("管线组织机构")
    private String ouId;

    @XText("介质类型(前端传的) ")
    private String mediaType;

    @XText("管线显示名称")
    private String pipelineDisplayName;

    @XText("管线id页面用")
    private String pipelineId;

    @XText("失效日期")
    private String endTimeStr;

    @XText("调控台")
    @TableField
    private String dispatchDesk;

    @XText("调度台标识的集合")
    private List<String> dispatchDeskList;


    public String getEndTimeStr() {
        return endTimeStr;
    }

    public void setEndTimeStr(String endTimeStr) {
        this.endTimeStr = endTimeStr;
    }

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    private List<String> ouIdList;

    public String getMediaType() {
        return mediaType;
    }

    public void setMediaType(String mediaType) {
        this.mediaType = mediaType;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getStationColor() {
        return stationColor;
    }

    public void setStationColor(String stationColor) {
        this.stationColor = stationColor;
    }

    public String getxStationColor() {
        return xStationColor;
    }

    public void setxStationColor(String xStationColor) {
        this.xStationColor = xStationColor;
    }

    public String getSegmentColor() {
        return segmentColor;
    }

    public void setSegmentColor(String segmentColor) {
        this.segmentColor = segmentColor;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getxStationName() {
        return xStationName;
    }

    public void setxStationName(String xStationName) {
        this.xStationName = xStationName;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getxStationId() {
        return xStationId;
    }

    public void setxStationId(String xStationId) {
        this.xStationId = xStationId;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationLongitude() {
        return stationLongitude;
    }

    public void setStationLongitude(String stationLongitude) {
        this.stationLongitude = stationLongitude;
    }

    public String getStationLatitude() {
        return stationLatitude;
    }

    public void setStationLatitude(String stationLatitude) {
        this.stationLatitude = stationLatitude;
    }

    public String getxStationLongitude() {
        return xStationLongitude;
    }

    public void setxStationLongitude(String xStationLongitude) {
        this.xStationLongitude = xStationLongitude;
    }

    public String getxStationLatitude() {
        return xStationLatitude;
    }

    public void setxStationLatitude(String xStationLatitude) {
        this.xStationLatitude = xStationLatitude;
    }

    public String getPipelineSys() {
        return pipelineSys;
    }

    public void setPipelineSys(String pipelineSys) {
        this.pipelineSys = pipelineSys;
    }

    public String getParentPath() {
        return parentPath;
    }

    public void setParentPath(String parentPath) {
        this.parentPath = parentPath;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getPipelineCode() {
        return this.pipelineCode;
    }

    public void setPipelineCode(String value) {
        this.pipelineCode = value;
    }

    public String getPipelineName() {
        return this.pipelineName;
    }

    public void setPipelineName(String value) {
        this.pipelineName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getMediumType() {
        return this.mediumType;
    }

    public void setMediumType(String value) {
        this.mediumType = value;
    }

    public BigDecimal getPipelineRadius() {
        return pipelineRadius;
    }

    public void setPipelineRadius(BigDecimal pipelineRadius) {
        this.pipelineRadius = pipelineRadius;
    }

    public BigDecimal getThickness() {
        return this.thickness;
    }

    public void setThickness(BigDecimal value) {
        this.thickness = value;
    }

    public BigDecimal getTotalLength() {
        return this.totalLength;
    }

    public void setTotalLength(BigDecimal value) {
        this.totalLength = value;
    }

    public BigDecimal getStandardPressure() {
        return this.standardPressure;
    }

    public void setStandardPressure(BigDecimal value) {
        this.standardPressure = value;
    }

    public BigDecimal getStandardTemperature() {
        return this.standardTemperature;
    }

    public void setStandardTemperature(BigDecimal value) {
        this.standardTemperature = value;
    }

    public BigDecimal getMinFlux() {
        return this.minFlux;
    }

    public void setMinFlux(BigDecimal value) {
        this.minFlux = value;
    }

    public String getParentPipelineId() {
        return this.parentPipelineId;
    }

    public void setParentPipelineId(String value) {
        this.parentPipelineId = value;
    }

    public String getPipelineType() {
        return this.pipelineType;
    }

    public void setPipelineType(String value) {
        this.pipelineType = value;
    }

    public Integer getBeDomestic() {
        return beDomestic;
    }

    public void setBeDomestic(Integer beDomestic) {
        this.beDomestic = beDomestic;
    }

    public String getPipelineLevel() {
        return this.pipelineLevel;
    }

    public void setPipelineLevel(String value) {
        this.pipelineLevel = value;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getScadaPipelineCode() {
        return this.scadaPipelineCode;
    }

    public void setScadaPipelineCode(String value) {
        this.scadaPipelineCode = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public List<String> getOuIdList() {
        return ouIdList;
    }

    public void setOuIdList(List<String> ouIdList) {
        this.ouIdList = ouIdList;
    }

    public String getPipelineDisplayName() {
        return pipelineDisplayName;
    }

    public void setPipelineDisplayName(String pipelineDisplayName) {
        this.pipelineDisplayName = pipelineDisplayName;
    }

    public String getDispatchDesk() {
        return dispatchDesk;
    }

    public void setDispatchDesk(String dispatchDesk) {
        this.dispatchDesk = dispatchDesk;
    }

    public List<String> getDispatchDeskList() {
        return dispatchDeskList;
    }

    public void setDispatchDeskList(List<String> dispatchDeskList) {
        this.dispatchDeskList = dispatchDeskList;
    }
}
