package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 输电线路光伏配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BasePowerLinePlantView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("是否删除(0_是;1_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("光伏电站ID")
    @TableField
    private String plantId;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    /**
     * 电站名称
     */
    @XText("电站名称")
    @TableField
    private String stationName;

    /**
     * 装机总量
     */
    @XText("装机总量(KWP)")
    @TableField
    private BigDecimal totalPower;
}
