package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 输电线路储能配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BasePowerLineStorageView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("是否删除(0_是;1_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("储能设备ID")
    @TableField
    private String storageId;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    /**
     * 设备名称
     */
    @XText("设备名称")
    @TableField
    private String deviceName;

    /**
     * 装机总量
     */
    @XText("设备容量(KWh)")
    @TableField
    private BigDecimal apparatusCapacity;
}
