package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 输电线路配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BasePowerLineView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("是否删除(0_是;1_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("上级线路ID")
    @TableField
    private String upperLineId;

    @XText("线路名称")
    @TableField
    private String lineName;

    @XText("电网类型key(字典获取)")
    @TableField
    private String gridTypeKey;

    @XText("线路类型key(字典获取)")
    @TableField
    private String lineTypeKey;

    @XText("市电峰谷配置ID")
    @TableField
    private String strategyId;

    @XText("是否激活共享调度(0_激活;1_关闭)")
    @TableField
    private Integer isShareDispatch;

    @XText("是否激活返输调度(0_激活;1_关闭)")
    @TableField
    private Integer isReverseDispatch;

    /**
     * 策略名称
     */
    @XText("策略名称")
    private String policyName;

    /**
     * 上级线路名称
     */
    @XText("上级线路名称")
    private String upperLineName;

    /**
     * 井口数
     */
    @XText("井口数")
    private Integer wellheadCount;
}
