package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("base_station")
public class BaseStationEnt implements Serializable {
    @XText("场站ID")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("场站编码")
    @TableField
    private String stationCode;

    @XText("场站名称")
    @TableField
    private String stationName;

    @XText("简称")
    @TableField
    private String shortName;

    @XText("场站类型(字典,场站、阀室、储气库、油库)")
    @TableField
    private String stationType;

    @XText("备注")
    @TableField
    private String remark;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("结束时间")
    @TableField
    private Date endTime;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("SCADA场站编号")
    @TableField
    private String scadaStationCode;

    @XText("介质类型(字典)")
    @TableField
    private String mediumType;

    @XText("地址")
    @TableField
    private String address;

    @XText("国家")
    @TableField
    private String country;

    @XText("省份")
    @TableField
    private String province;

    @XText("市")
    @TableField
    private String city;

    @XText("县")
    @TableField
    private String county;

    @XText("高程(海拔)")
    @TableField
    private BigDecimal altitude;

    @XText("场站级别(字典)")
    @TableField
    private String stationLevel;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("经度")
    @TableField
    private String stationLongitude;

    @XText("纬度")
    @TableField
    private String stationLatitude;

    @XText("scada数据库")
    @TableField
    private String scadaDb;

    @XText("场站标记颜色")
    @TableField
    private String stationColor;

    @XText("是否管存使用")
    @TableField
    private Integer isCustodyUse;

    @XText("是否周转量使用")
    @TableField
    private Integer isTurnoverUse;

    @XText("是否删除")
    @TableField
    private Integer isDelete;

    public Integer getIsCustodyUse() {
        return isCustodyUse;
    }

    public void setIsCustodyUse(Integer isCustodyUse) {
        this.isCustodyUse = isCustodyUse;
    }

    public Integer getIsTurnoverUse() {
        return isTurnoverUse;
    }

    public void setIsTurnoverUse(Integer isTurnoverUse) {
        this.isTurnoverUse = isTurnoverUse;
    }

    public String getStationColor() {
        return stationColor;
    }

    public void setStationColor(String stationColor) {
        this.stationColor = stationColor;
    }

    public String getStationLongitude() {
        return stationLongitude;
    }

    public void setStationLongitude(String stationLongitude) {
        this.stationLongitude = stationLongitude;
    }

    public String getStationLatitude() {
        return stationLatitude;
    }

    public void setStationLatitude(String stationLatitude) {
        this.stationLatitude = stationLatitude;
    }

    public String getScadaDb() {
        return scadaDb;
    }

    public void setScadaDb(String scadaDb) {
        this.scadaDb = scadaDb;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getStationCode() {
        return this.stationCode;
    }

    public void setStationCode(String value) {
        this.stationCode = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getStationType() {
        return this.stationType;
    }

    public void setStationType(String value) {
        this.stationType = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getScadaStationCode() {
        return this.scadaStationCode;
    }

    public void setScadaStationCode(String value) {
        this.scadaStationCode = value;
    }

    public String getMediumType() {
        return this.mediumType;
    }

    public void setMediumType(String value) {
        this.mediumType = value;
    }

    public String getAddress() {
        return this.address;
    }

    public void setAddress(String value) {
        this.address = value;
    }

    public String getCountry() {
        return this.country;
    }

    public void setCountry(String value) {
        this.country = value;
    }

    public String getProvince() {
        return this.province;
    }

    public void setProvince(String value) {
        this.province = value;
    }

    public String getCity() {
        return this.city;
    }

    public void setCity(String value) {
        this.city = value;
    }

    public String getCounty() {
        return this.county;
    }

    public void setCounty(String value) {
        this.county = value;
    }

    public BigDecimal getAltitude() {
        return this.altitude;
    }

    public void setAltitude(BigDecimal value) {
        this.altitude = value;
    }

    public String getStationLevel() {
        return stationLevel;
    }

    public void setStationLevel(String stationLevel) {
        this.stationLevel = stationLevel;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
