package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class BaseStationView implements Serializable {
    @XText("场站ID")
    @TableField
    private String id;

    @XText("场站编码")
    @TableField
    private String stationCode;

    @XText("场站名称")
    @TableField
    private String stationName;

    @XText("简称")
    @TableField
    private String shortName;

    @XText("场站类型(字典,场站、阀室、储气库、油库)")
    @TableField
    private String stationType;

    @XText("备注")
    @TableField
    private String remark;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("结束时间")
    @TableField
    private Date endTime;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("SCADA场站编号")
    @TableField
    private String scadaStationCode;

    @XText("介质类型(字典)")
    @TableField
    private String mediumType;

    @XText("地址")
    @TableField
    private String address;

    @XText("国家")
    @TableField
    private String country;

    @XText("省份")
    @TableField
    private String province;

    @XText("市")
    @TableField
    private String city;

    @XText("县")
    @TableField
    private String county;

    @XText("高程(海拔)")
    @TableField
    private BigDecimal altitude;

    @XText("场站级别(字典)")
    @TableField
    private String stationLevel;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("经度")
    @TableField
    private String stationLongitude;

    @XText("纬度")
    @TableField
    private String stationLatitude;

    @XText("scada数据库")
    @TableField
    private String scadaDb;

    @XText("管线id")
    @TableField
    private String pipelineId;

    @XText("下游场站经度")
    @TableField
    private String xStationLongitude;

    @XText("下游场站纬度")
    @TableField
    private String xStationLatitude;

    @XText("管线名称")
    @TableField
    private String pipelineName;

    @XText("场站关系")
    @TableField
    private String relName;

    @XText("管段id")
    @TableField
    private String segmentId;

    @XText("场站组织机构关系")
    private String ouId;
    @XText("组织机构id")
    @TableField(exist = false)
    private List<String> ouIds;

    @XText("场站组织机构关系-组织机构名称")
    private String ouName;

    @XText("场站id")
    private String stationId;

    @XText("组织机构层级")
    private String ouLevel;

    @XText("结束时间String")
    private String endTimeStr;

    @XText("管线ids")
    private List<String> pipelineIdList;

    @XText("状态：停用、启用")
    @TableField(exist = false)
    private String status;

    @XText("场站ids")
    private List<String> stationIdList;

    public String getEndTimeStr() {
        return endTimeStr;
    }

    public void setEndTimeStr(String endTimeStr) {
        this.endTimeStr = endTimeStr;
    }

    public List<String> getOuIds() {
        return ouIds;
    }

    public void setOuIds(List<String> ouIds) {
        this.ouIds = ouIds;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getSegmentId() {
        return segmentId;
    }

    public void setSegmentId(String segmentId) {
        this.segmentId = segmentId;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getRelName() {
        return relName;
    }

    public void setRelName(String relName) {
        this.relName = relName;
    }

    public String getxStationLatitude() {
        return xStationLatitude;
    }

    public void setxStationLatitude(String xStationLatitude) {
        this.xStationLatitude = xStationLatitude;
    }

    public String getxStationLongitude() {
        return xStationLongitude;
    }

    public void setxStationLongitude(String xStationLongitude) {
        this.xStationLongitude = xStationLongitude;
    }

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    public String getStationLongitude() {
        return stationLongitude;
    }

    public void setStationLongitude(String stationLongitude) {
        this.stationLongitude = stationLongitude;
    }

    public String getStationLatitude() {
        return stationLatitude;
    }

    public void setStationLatitude(String stationLatitude) {
        this.stationLatitude = stationLatitude;
    }

    public String getScadaDb() {
        return scadaDb;
    }

    public void setScadaDb(String scadaDb) {
        this.scadaDb = scadaDb;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getStationCode() {
        return this.stationCode;
    }

    public void setStationCode(String value) {
        this.stationCode = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getStationType() {
        return this.stationType;
    }

    public void setStationType(String value) {
        this.stationType = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getScadaStationCode() {
        return this.scadaStationCode;
    }

    public void setScadaStationCode(String value) {
        this.scadaStationCode = value;
    }

    public String getMediumType() {
        return this.mediumType;
    }

    public void setMediumType(String value) {
        this.mediumType = value;
    }

    public String getAddress() {
        return this.address;
    }

    public void setAddress(String value) {
        this.address = value;
    }

    public String getCountry() {
        return this.country;
    }

    public void setCountry(String value) {
        this.country = value;
    }

    public String getProvince() {
        return this.province;
    }

    public void setProvince(String value) {
        this.province = value;
    }

    public String getCity() {
        return this.city;
    }

    public void setCity(String value) {
        this.city = value;
    }

    public String getCounty() {
        return this.county;
    }

    public void setCounty(String value) {
        this.county = value;
    }

    public BigDecimal getAltitude() {
        return this.altitude;
    }

    public void setAltitude(BigDecimal value) {
        this.altitude = value;
    }

    public String getStationLevel() {
        return stationLevel;
    }

    public void setStationLevel(String stationLevel) {
        this.stationLevel = stationLevel;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getOuLevel() {
        return ouLevel;
    }

    public void setOuLevel(String ouLevel) {
        this.ouLevel = ouLevel;
    }

    public List<String> getPipelineIdList() {
        return pipelineIdList;
    }

    public void setPipelineIdList(List<String> pipelineIdList) {
        this.pipelineIdList = pipelineIdList;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<String> getStationIdList() {
        return stationIdList;
    }

    public void setStationIdList(List<String> stationIdList) {
        this.stationIdList = stationIdList;
    }
}
