package pps.core.base.entity;


import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;
import pps.core.common.entity.ICommonEnt;
import pps.core.common.pattern.Builder;

@XText("系统配置表")
@TableName("base_sys_config")
public class BaseSysConfigEnt implements Serializable  {

    public static Builder<BaseSysConfigEnt> entityBuilder(){
        return Builder.create(BaseSysConfigEnt .class);
    }

    //region DB-FIELDS-CONST

    public static final String TABLE_NAME = "base_sys_config";
    //
    public static final String ID = "id";
    //配置名称
    public static final String NAME = "name";
    //配置key
    public static final String KEY = "key";
    //配置值
    public static final String VALUE = "value";
    //创建人
    public static final String CREATE_BY_ID = "create_by_id";
    //创建人名称
    public static final String CREATE_BY_NAME = "create_by_name";
    //创建时间
    public static final String CREATE_TIME = "create_time";
    //修改人
    public static final String MODIFY_BY_ID = "modify_by_id";
    //修改人名称
    public static final String MODIFY_BY_NAME = "modify_by_name";
    //修改时间
    public static final String MODIFY_TIME = "modify_time";
    //组织机构id
    public static final String OU_ID = "ou_id";

    //endregion

    //region Fields

    @XText("")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id ;

    @XText("配置名称")
    @TableField
    private String name ;

    @XText("配置key")
    @TableField
    private String key ;

    @XText("配置值")
    @TableField
    private String value ;

    @XText("创建人")
    @TableField
    private String createById ;

    @XText("创建人名称")
    @TableField
    private String createByName ;

    @XText("创建时间")
    @TableField
    private Date createTime ;

    @XText("修改人")
    @TableField
    private String modifyById ;

    @XText("修改人名称")
    @TableField
    private String modifyByName ;

    @XText("修改时间")
    @TableField
    private Date modifyTime ;

    @XText("组织机构id")
    @TableField
    private String ouId ;


    //endregion


    //region GET/SET

    public String getId(){
        return this.id;
    }
    public void setId(String value){
        this.id = value;
    }

    public String getName(){
        return this.name;
    }
    public void setName(String value){
        this.name = value;
    }

    public String getKey(){
        return this.key;
    }
    public void setKey(String value){
        this.key = value;
    }

    public String getValue(){
        return this.value;
    }
    public void setValue(String value){
        this.value = value;
    }

    public String getCreateById(){
        return this.createById;
    }
    public void setCreateById(String value){
        this.createById = value;
    }

    public String getCreateByName(){
        return this.createByName;
    }
    public void setCreateByName(String value){
        this.createByName = value;
    }

    public Date getCreateTime(){
        return this.createTime;
    }
    public void setCreateTime(Date value){
        this.createTime = value;
    }

    public String getModifyById(){
        return this.modifyById;
    }
    public void setModifyById(String value){
        this.modifyById = value;
    }

    public String getModifyByName(){
        return this.modifyByName;
    }
    public void setModifyByName(String value){
        this.modifyByName = value;
    }

    public Date getModifyTime(){
        return this.modifyTime;
    }
    public void setModifyTime(Date value){
        this.modifyTime = value;
    }

    public String getOuId(){
        return this.ouId;
    }
    public void setOuId(String value){
        this.ouId = value;
    }


    //endregion

}
