package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePowerLineView;

import java.util.List;

/**
 * 输电线路配置
 *
 * @author ZWT
 * @date 2023/08/28
 */
@Repository(value = "pps.core.base.mapper.BasePowerLineViewMapper")
public interface BasePowerLineViewMapper {

    /**
     * 查询输电线路详情
     *
     * @param record 记录
     * @return {@link BasePowerLineView}
     */
    BasePowerLineView selectOne(BasePowerLineView record);

    /**
     * 输电线路配置列表
     *
     * @param record 记录
     * @return {@link List}<{@link BasePowerLineView}>
     */
    List<BasePowerLineView> selectList(BasePowerLineView record);
}
