package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BaseSegmentView;
import pps.core.base.entity.BaseStationView;

import java.util.List;
import java.util.Map;

@Repository(value="pps.core.base.mapper.BaseStationViewMapper")
public interface BaseStationViewMapper {
    BaseStationView selectOne(BaseStationView record);
    List<BaseStationView> selectAllList(BaseStationView record);

    List<BaseStationView> selectList(BaseStationView record);
    List<BaseStationView> selectUnIncludePipelineList(BaseStationView record);

    List<BaseStationView> selectListRel(BaseStationView record);

    List<BaseSegmentView> selectListSegmentByStationId(BaseStationView record);

    BaseStationView selectMaxSortByPipelineId(BaseStationView view);

    /**
     * 获取用户授权范围内的场站信息
     */
    List<BaseStationView> selectUserStation(Map<String,String> record);

    /**
     * 根据组织机构id获取场站信息(只查当前组织机构下的场站)
     */
    List<BaseStationView> selectStationByOuId(@Param("ouId") String ouId);

    /**
     * 根据组织机构id获取所有场站信息(查当前组织机构及其子级组织的场站)
     */
    List<BaseStationView> selectAllStationByOuId(@Param("ouId") String ouId , @Param("mediumType") String mediumType);

    /**
     * 根据场站id获取场站的组织机构信息
     */
    List<BaseStationView> selectStationOuByStationId(@Param("stationId") String stationId);

    /**
     * 根据场站名称获取场站信息
     */
    List<BaseStationView> selectStationByStationName(BaseStationView record);

    List<BaseStationView> selectAllChildByOuId(@Param("ouId") String ouId);

    List<BaseStationView> selectStationByOuIdOrStationName(BaseStationView record);

    List<BaseStationView> selectAllStationByOuIdAndMediumType(@Param("ouId") String ouId , @Param("mediumType") String mediumType);

    List<BaseStationView> selectStationByOuIds(BaseStationView stationView);

    List<BaseStationView> selectStationAllByStationName(BaseStationView record);

    List<BaseStationView> selectListByPipelineIds(BaseStationView record);

    List<BaseStationView> selectStationAllList(BaseStationView record);

}
