package pps.core.base.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.cloud.base.service.BaseSysConfigCloudService;
import pps.cloud.base.service.data.ConfigValueInput;
import pps.core.base.entity.BaseSysConfigEnt;
import pps.core.base.mapper.BaseSysConfigMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.error.XError;

/**
 * @author lixueyan
 * @date 2023/3/16 0016 11:45
 */
@XService
public class BaseSysConfigCloudServiceImpl implements BaseSysConfigCloudService {
    @Override
    public XServiceResult setConfigValue(XContext context, ConfigValueInput input) {
        BaseSysConfigMapper mapper = context.getBean(BaseSysConfigMapper.class);
        QueryWrapper<BaseSysConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(BaseSysConfigEnt::getKey, input.getConfigKey()).last("limit 1");
        BaseSysConfigEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        entity.setValue(input.getConfigValue());
        mapper.updateById(entity);
        return XServiceResult.OK;
    }
}
