package pps.core.base.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import pps.core.base.entity.BaseSysConfigEnt;
import pps.core.base.entity.BaseSysConfigView;
import pps.core.base.mapper.BaseSysConfigMapper;
import pps.core.base.mapper.BaseSysConfigViewMapper;
import pps.core.base.service.data.base_sys_config.*;
import pps.core.common.session.PpsUserSession;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XPageResult;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.error.XError;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.feature.api.annotation.XApiPost;

import java.util.Date;
import java.util.List;


//IMPORT---BEGIN---OF---EXTENSION---CODE---DONT---CHANGE---AND---REMOVE---IT
//IMPORT---END---OF---EXTENSION---CODE---DONT---CHANGE---AND---REMOVE---IT

@XService
@XText("系统配置表")
public class BaseSysConfigService {
    @XApiAnonymous
    @XApiPost
    public XServiceResult createBaseSysConfig(XContext context, BaseSysConfigInput input){
        BaseSysConfigMapper mapper = context.getBean(BaseSysConfigMapper.class);
        BaseSysConfigEnt entity = new BaseSysConfigEnt();
        XCopyUtils.copyObject(input, entity);
        PpsUserSession session = context.getSession(PpsUserSession.class);
        entity.setCreateTime(new Date());
        entity.setCreateById(context.getUser().getName());
        mapper.insert(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult updateBaseSysConfig(XContext context, BaseSysConfigInput input){
        BaseSysConfigMapper mapper = context.getBean(BaseSysConfigMapper.class);
        QueryWrapper<BaseSysConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(BaseSysConfigEnt::getId, input.getId());
        BaseSysConfigEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        XCopyUtils.copyObject(input, entity);
        mapper.updateById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult deleteBaseSysConfig(XContext context, BaseSysConfigInput input){
        BaseSysConfigMapper mapper = context.getBean(BaseSysConfigMapper.class);
        QueryWrapper<BaseSysConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(BaseSysConfigEnt::getId, input.getId());
        BaseSysConfigEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        mapper.deleteById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XSingleResult<BaseSysConfigOutput> getBaseSysConfig(XContext context, BaseSysConfigInput input){
        BaseSysConfigMapper mapper = context.getBean(BaseSysConfigMapper.class);
        QueryWrapper<BaseSysConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(BaseSysConfigEnt::getId, input.getId());
        BaseSysConfigEnt entity = mapper.selectOne(queryWrapper);
        if(entity == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        BaseSysConfigOutput output = new BaseSysConfigOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiPost
    public XSingleResult<GetBaseSysConfigViewOutput> getBaseSysConfigView(XContext context, GetBaseSysConfigViewInput input){
        BaseSysConfigViewMapper mapper = context.getBean(BaseSysConfigViewMapper.class);
        BaseSysConfigView record = XCopyUtils.copyNewObject(input, BaseSysConfigView .class);
        BaseSysConfigView view = mapper.selectOne(record);
        if(view == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetBaseSysConfigViewOutput output = new GetBaseSysConfigViewOutput();
        XCopyUtils.copyObject(view, output);
        return XSingleResult.success(output);
    }


    @XApiAnonymous
    @XApiPost
    public XPageResult<QueryBaseSysConfigViewOutput> queryBaseSysConfigView(XContext context, QueryBaseSysConfigViewInput input){
        BaseSysConfigViewMapper mapper = context.getBean(BaseSysConfigViewMapper.class);
        BaseSysConfigView record = XCopyUtils.copyNewObject(input, BaseSysConfigView .class);
        PageHelper.startPage(input.getPage(), input.getLimit());
        PageInfo<BaseSysConfigView> pageInfo = new PageInfo<>(mapper.selectList(record));
        List<QueryBaseSysConfigViewOutput> outputs = XCopyUtils.copyNewList(pageInfo.getList(), QueryBaseSysConfigViewOutput .class);
        return XPageResult.success(outputs, input.getPage(), input.getLimit(), pageInfo.getTotal());
    }

    //BEGIN---OF---EXTENSION---CODE---DONT---CHANGE---AND---REMOVE---IT
    //END---OF---EXTENSION---CODE---DONT---CHANGE---AND---REMOVE---IT
}
