package pps.core.base.service.data.base_pipeline;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.math.BigDecimal;
import java.util.Date;
public class QueryBasePipelineViewOutput extends XPageInput {
    @XText("管线ID(主键)")
    private String id;

    @XText("管线编码")
    private String pipelineCode;

    @XText("管线名称")
    private String pipelineName;

    @XText("管线缩写")
    private String shortName;

    @XText("介质类型 ")
    private String mediumType;

    @XText("管线直径")
    private BigDecimal pipelineRadius;

    @XText("管线厚度")
    private BigDecimal thickness;

    @XText("管线总长度")
    private BigDecimal totalLength;

    @XText("标准压力")
    private BigDecimal standardPressure;

    @XText("标准温度")
    private BigDecimal standardTemperature;

    @XText("最小流量")
    private BigDecimal minFlux;

    @XText("上级管线ID,若无上级为空(此字段一般用于支线)")
    private String parentPipelineId;

    @XText("管线类型(字典)")
    private String pipelineType;

    @XText("是否国内")
    private Integer beDomestic;

    @XText("管线级别(字典)")
    private String pipelineLevel;

    @XText("排序")
    private Integer sort;

    @XText("生效时间")
    private Date effectTime;

    @XText("截止时间")
    private Date endTime;

    @XText("管线的SCADA代码")
    private String scadaPipelineCode;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("管线层级路径")
    private String parentPath;

    @XText("管线所属系统")
    private String pipelineSys;

    @XText("经度")
    @TableField
    private String stationLongitude;

    @XText("纬度")
    @TableField
    private String stationLatitude;


    @XText("下游场站经度")
    @TableField
    private String xStationLongitude;

    @XText("下游场站纬度")
    @TableField
    private String xStationLatitude;

    @XText("下游场站名称")
    @TableField
    private String xStationName;

    @XText("上游场站名称")
    @TableField
    private String stationName;

    @XText("下游场站id")
    @TableField
    private String xStationId;

    @XText("上游场站id")
    @TableField
    private String stationId;

    @XText("管段颜色")
    private String segmentColor;

    @XText("上游场站颜色")
    private String stationColor;

    @XText("下游场站颜色")
    private String xStationColor;

    @XText("管线id页面用")
    private String pipelineId;

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    public String getStationColor() {
        return stationColor;
    }

    public void setStationColor(String stationColor) {
        this.stationColor = stationColor;
    }

    public String getxStationColor() {
        return xStationColor;
    }

    public void setxStationColor(String xStationColor) {
        this.xStationColor = xStationColor;
    }

    public String getSegmentColor() {
        return segmentColor;
    }

    public void setSegmentColor(String segmentColor) {
        this.segmentColor = segmentColor;
    }

    public String getStationLongitude() {
        return stationLongitude;
    }

    public void setStationLongitude(String stationLongitude) {
        this.stationLongitude = stationLongitude;
    }

    public String getStationLatitude() {
        return stationLatitude;
    }

    public void setStationLatitude(String stationLatitude) {
        this.stationLatitude = stationLatitude;
    }

    public String getxStationLongitude() {
        return xStationLongitude;
    }

    public void setxStationLongitude(String xStationLongitude) {
        this.xStationLongitude = xStationLongitude;
    }

    public String getxStationLatitude() {
        return xStationLatitude;
    }

    public void setxStationLatitude(String xStationLatitude) {
        this.xStationLatitude = xStationLatitude;
    }

    public String getxStationName() {
        return xStationName;
    }

    public void setxStationName(String xStationName) {
        this.xStationName = xStationName;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getxStationId() {
        return xStationId;
    }

    public void setxStationId(String xStationId) {
        this.xStationId = xStationId;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getPipelineCode() {
        return this.pipelineCode;
    }

    public void setPipelineCode(String value) {
        this.pipelineCode = value;
    }

    public String getPipelineName() {
        return this.pipelineName;
    }

    public void setPipelineName(String value) {
        this.pipelineName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getMediumType() {
        return this.mediumType;
    }

    public void setMediumType(String value) {
        this.mediumType = value;
    }

    public BigDecimal getPipelineRadius() {
        return pipelineRadius;
    }

    public void setPipelineRadius(BigDecimal pipelineRadius) {
        this.pipelineRadius = pipelineRadius;
    }

    public BigDecimal getThickness() {
        return thickness;
    }

    public void setThickness(BigDecimal thickness) {
        this.thickness = thickness;
    }

    public BigDecimal getTotalLength() {
        return totalLength;
    }

    public void setTotalLength(BigDecimal totalLength) {
        this.totalLength = totalLength;
    }

    public BigDecimal getStandardPressure() {
        return standardPressure;
    }

    public void setStandardPressure(BigDecimal standardPressure) {
        this.standardPressure = standardPressure;
    }

    public BigDecimal getStandardTemperature() {
        return standardTemperature;
    }

    public void setStandardTemperature(BigDecimal standardTemperature) {
        this.standardTemperature = standardTemperature;
    }

    public BigDecimal getMinFlux() {
        return minFlux;
    }

    public void setMinFlux(BigDecimal minFlux) {
        this.minFlux = minFlux;
    }

    public String getParentPipelineId() {
        return this.parentPipelineId;
    }

    public void setParentPipelineId(String value) {
        this.parentPipelineId = value;
    }

    public String getPipelineType() {
        return this.pipelineType;
    }

    public void setPipelineType(String value) {
        this.pipelineType = value;
    }

    public Integer getBeDomestic() {
        return this.beDomestic;
    }

    public void setBeDomestic(Integer value) {
        this.beDomestic = value;
    }

    public String getPipelineLevel() {
        return this.pipelineLevel;
    }

    public void setPipelineLevel(String value) {
        this.pipelineLevel = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getScadaPipelineCode() {
        return this.scadaPipelineCode;
    }

    public void setScadaPipelineCode(String value) {
        this.scadaPipelineCode = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getParentPath() {
        return this.parentPath;
    }

    public void setParentPath(String value) {
        this.parentPath = value;
    }

    public String getPipelineSys() {
        return this.pipelineSys;
    }

    public void setPipelineSys(String value) {
        this.pipelineSys = value;
    }

}
