package pps.core.base.service.data.base_price_strategy;

import jakarta.validation.Valid;
import lombok.Data;
import pps.core.base.service.data.base_price_strategy_month.GetBasePriceStrategyMonthOutput;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;

/**
 * 市电峰谷配置返回结果
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class GetBasePriceStrategyOutput {
    @XText("ID")
    private String id;

    @XText("策略名称")
    private String policyName;

    @XText("适用地区编码")
    private String areaCode;

    @XText("年份")
    private Integer strategyYear;

    @XText("是否固定电价(0_是;1_否)")
    private Integer isFixedPrice;

    @XText("固定电价")
    private BigDecimal fixedElectricityPrice;

    /**
     * 月份
     */
    @Valid
    private List<GetBasePriceStrategyMonthOutput> months;
}
