package pps.core.base.service.data.base_price_strategy_detail;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 策略明细入参
 *
 * @author ZWT
 * @date 2023/08/24
 */
@Data
public class CreateBasePriceStrategyDetailInput {

    @XText("市电峰谷月")
    private Integer strategyMonth;

    @XText("时段类型key(字典获取)")
    @NotBlank(message = "时段类型不能为空")
    private String periodTypeKey;

    @XText("开始时间")
    @NotNull(message = "开始时间不能为空")
    private Date startTime;

    @XText("结束时间")
    @NotNull(message = "结束时间不能为空")
    private Date endTime;

    @XText("电价")
    private BigDecimal electrovalence;

    @XText("内部结算价")
    private BigDecimal internalSettlementPrice;
}
