package pps.core.base.service.data.base_price_strategy_month;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import pps.core.base.service.data.base_price_strategy_detail.CreateBasePriceStrategyDetailInput;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 月份入参
 *
 * @author ZWT
 * @date 2023/08/24
 */
@Data
public class CreateBasePriceStrategyMonthInput {

    @XText("市电峰谷月(1-12)")
    @NotNull(message = "月份不能为空")
    private Integer strategyMonth;

    /**
     * 策略明细入参
     */
    @XText("策略明细入参")
    @Valid
    private List<CreateBasePriceStrategyDetailInput> details;
}
