package pps.core.base.utils;

import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestTemplate;

import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class HttpUtils {
    public static Object sendPost(String url, Object param){
        // 请求头设置
        HttpHeaders headers = new HttpHeaders();
        List<MediaType> acceptableMediaType = new ArrayList<>();
        acceptableMediaType.add(MediaType.APPLICATION_JSON);
        headers.setAccept(acceptableMediaType);
        headers.setContentType(MediaType.APPLICATION_JSON);
        // 组装请求体
        //String jsonString = XJsonUtils.toJson(param);
        HttpEntity<MultiValueMap<String, Object>> request = new HttpEntity(param,headers);
        //发起请求
        RestTemplate restTemplate = new RestTemplate();
        Object res = restTemplate.postForObject(url, request, Object.class);
        return res;
    }

    public static String send2(String url, String param) throws Exception {

        URL localURL = new URL(url);
        URLConnection connection = localURL.openConnection();
        HttpURLConnection httpURLConnection = (HttpURLConnection) connection;

        httpURLConnection.setDoOutput(true);
        httpURLConnection.setRequestMethod("POST");
        httpURLConnection.setRequestProperty("Accept", "application/json");
        httpURLConnection.setRequestProperty("Content-Type", "application/json");
        httpURLConnection.setRequestProperty("Content-Length", String.valueOf(param.length()));
        httpURLConnection.setConnectTimeout(10000);

        OutputStream outputStream = null;
        OutputStreamWriter outputStreamWriter = null;
        InputStream inputStream = null;
        InputStreamReader inputStreamReader = null;
        BufferedReader reader = null;
        String resultBuffer = "";

        try {
            outputStream = httpURLConnection.getOutputStream();
            outputStreamWriter = new OutputStreamWriter(outputStream);

            outputStreamWriter.write(param.toString());
            outputStreamWriter.flush();

            if (httpURLConnection.getResponseCode() >= 300) {
                throw new Exception(
                        "HTTP Request is not success, Response code is " + httpURLConnection.getResponseCode());
            }

            inputStream = httpURLConnection.getInputStream();
            resultBuffer = convertStreamToString(inputStream);
            System.out.println(resultBuffer);

        } catch (Exception e) {
            e.printStackTrace();
        } finally {

            if (outputStreamWriter != null) {
                outputStreamWriter.close();
            }

            if (outputStream != null) {
                outputStream.close();
            }

            if (reader != null) {
                reader.close();
            }

            if (inputStreamReader != null) {
                inputStreamReader.close();
            }

            if (inputStream != null) {
                inputStream.close();
            }

        }

        return resultBuffer;
    }

    public static String convertStreamToString(InputStream is) {
        StringBuilder sb1 = new StringBuilder();
        byte[] bytes = new byte[4096];
        int size = 0;

        try {
            while ((size = is.read(bytes)) > 0) {
                String str = new String(bytes, 0, size, "UTF-8");
                sb1.append(str);
            }
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            try {
                is.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return sb1.toString();
    }
    public static void main(String[] args)throws Exception {
        Map<String,String> object = new HashMap<>();
        object.put("pipelineId","11");
        object.put("stationId", "11");
        object.put("customerId", "11");
        object.put("startTime", "2022-10-23 00:00:00");
        object.put("strByteString","11");
        String parm = "pipelineId=" +"12"+
                "&stationId=" +"12"+
                "&customerId=" +"12"+
                "&startTime=" + "2022-12-01 00:00:00"+
                "&strByteString=" +"12" ;
        send2("http://10.20.89.75/interface/pdf/InsertSIFile?"+parm , parm);
    }
}
