package pps.core.task.job;

import pps.cloud.base.service.BaseWatherCloudService;
import pps.cloud.base.service.data.CrawlBaseWatherInput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.error.XError;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

@XText("天气数据，每8小时执行一次")
@XService
public class WeatherJob implements XJob {
    @XCronTrigger(value = "0 0 0/8 * * ?")
    @Override
    public XServiceResult execute(XContext context) {
        BaseWatherCloudService cloudService = context.getBean(BaseWatherCloudService.class);
        cloudService.crawlBaseWatherData(context);
        return XServiceResult.error(context, XError.NotFound);
    }

//    @XCronTrigger(value = XCronTrigger.PRE_30S)
//    @Override
//    public XServiceResult execute(XContext context) {
//        BaseWatherCloudService cloudService = context.getBean(BaseWatherCloudService.class);
//        CrawlBaseWatherInput crawlBaseWatherInput = new CrawlBaseWatherInput();
//        crawlBaseWatherInput.setProvinceCode("ASN");
//        crawlBaseWatherInput.setProvinceName("陕西");
//        crawlBaseWatherInput.setCityCode("57022");
//        crawlBaseWatherInput.setCityName("麟游");
//        cloudService.crawlBaseWatherDataByCityCode(context , crawlBaseWatherInput);
//        return XServiceResult.error(context, XError.NotFound);
//    }
}
