package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseEnt;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 间开制度井口配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
@TableName("space_interval_wellhead_config")
public class SpaceIntervalWellheadConfigEnt extends BaseEnt implements Serializable {

    @XText("间开制度ID")
    @TableField
    private String intervalId;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("运行类型key(字典获取)")
    @TableField
    private String runTypeKey;

    @XText("间开类型key(字典获取)")
    @TableField
    private String intervalTypeKey;

    @XText("间开描述")
    @TableField
    private String intervalDescribe;

    @XText("开井天数")
    @TableField
    private Integer openWellDay;

    @XText("关井天数")
    @TableField
    private Integer closeWellDay;

    @XText("运行时长（小时/天）")
    @TableField
    private BigDecimal runDuration;
}
