package pps.core.space.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import pps.core.space.entity.SpaceIntervalSystemCalibrationConfigEnt;
import pps.core.space.entity.SpaceIntervalSystemCalibrationConfigView;
import pps.core.space.mapper.SpaceIntervalSystemCalibrationConfigMapper;
import pps.core.space.mapper.SpaceIntervalSystemCalibrationConfigViewMapper;
import pps.core.space.service.data.space_interval_system_calibration_config.*;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.data.CustomQueryInput;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XPageResult;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.error.XError;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.feature.api.annotation.XApiGet;
import xstartup.feature.api.annotation.XApiPost;
import xstartup.feature.mybatis.helper.XMapperHelper;

import java.util.List;

@XService
public class SpaceIntervalSystemCalibrationConfigService {
    @XApiAnonymous
    @XApiPost
    public XServiceResult createSpaceIntervalSystemCalibrationConfig(XContext context, CreateSpaceIntervalSystemCalibrationConfigInput input) {
        SpaceIntervalSystemCalibrationConfigMapper mapper = context.getBean(SpaceIntervalSystemCalibrationConfigMapper.class);
        SpaceIntervalSystemCalibrationConfigEnt entity = new SpaceIntervalSystemCalibrationConfigEnt();
        XCopyUtils.copyObject(input, entity);
        mapper.insert(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult updateSpaceIntervalSystemCalibrationConfig(XContext context, UpdateSpaceIntervalSystemCalibrationConfigInput input) {
        SpaceIntervalSystemCalibrationConfigMapper mapper = context.getBean(SpaceIntervalSystemCalibrationConfigMapper.class);
        QueryWrapper<SpaceIntervalSystemCalibrationConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SpaceIntervalSystemCalibrationConfigEnt::getId, input.getId());
        SpaceIntervalSystemCalibrationConfigEnt entity = mapper.selectOne(queryWrapper);
        if (entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        XCopyUtils.copyObject(input, entity);
        mapper.updateById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult deleteSpaceIntervalSystemCalibrationConfig(XContext context, DeleteSpaceIntervalSystemCalibrationConfigInput input) {
        SpaceIntervalSystemCalibrationConfigMapper mapper = context.getBean(SpaceIntervalSystemCalibrationConfigMapper.class);
        QueryWrapper<SpaceIntervalSystemCalibrationConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SpaceIntervalSystemCalibrationConfigEnt::getId, input.getId());
        SpaceIntervalSystemCalibrationConfigEnt entity = mapper.selectOne(queryWrapper);
        if (entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        mapper.deleteById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult<GetSpaceIntervalSystemCalibrationConfigOutput> getSpaceIntervalSystemCalibrationConfig(XContext context, GetSpaceIntervalSystemCalibrationConfigInput input) {
        SpaceIntervalSystemCalibrationConfigMapper mapper = context.getBean(SpaceIntervalSystemCalibrationConfigMapper.class);
        QueryWrapper<SpaceIntervalSystemCalibrationConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SpaceIntervalSystemCalibrationConfigEnt::getId, input.getId());
        SpaceIntervalSystemCalibrationConfigEnt entity = mapper.selectOne(queryWrapper);
        if (entity == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSpaceIntervalSystemCalibrationConfigOutput output = new GetSpaceIntervalSystemCalibrationConfigOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySpaceIntervalSystemCalibrationConfigOutput> querySpaceIntervalSystemCalibrationConfig(XContext context, QuerySpaceIntervalSystemCalibrationConfigInput input) {
        SpaceIntervalSystemCalibrationConfigMapper mapper = context.getBean(SpaceIntervalSystemCalibrationConfigMapper.class);
        QueryWrapper<SpaceIntervalSystemCalibrationConfigEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().like(SpaceIntervalSystemCalibrationConfigEnt::getId, input.getId())
                .eq(SpaceIntervalSystemCalibrationConfigEnt::getIsDeleted, input.getIsDeleted())
                .like(SpaceIntervalSystemCalibrationConfigEnt::getCreateById, input.getCreateById())
                .like(SpaceIntervalSystemCalibrationConfigEnt::getCreateByName, input.getCreateByName())
                .eq(SpaceIntervalSystemCalibrationConfigEnt::getCreateTime, input.getCreateTime())
                .like(SpaceIntervalSystemCalibrationConfigEnt::getModifyById, input.getModifyById())
                .like(SpaceIntervalSystemCalibrationConfigEnt::getModifyByName, input.getModifyByName())
                .eq(SpaceIntervalSystemCalibrationConfigEnt::getModifyTime, input.getModifyTime())
                .like(SpaceIntervalSystemCalibrationConfigEnt::getOuId, input.getOuId())
                .like(SpaceIntervalSystemCalibrationConfigEnt::getOuName, input.getOuName())
                .like(SpaceIntervalSystemCalibrationConfigEnt::getLineId, input.getLineId())
                .like(SpaceIntervalSystemCalibrationConfigEnt::getLineName, input.getLineName())
                .eq(SpaceIntervalSystemCalibrationConfigEnt::getCalibrationCycle, input.getCalibrationCycle());
        return XMapperHelper.query(mapper, input, queryWrapper, QuerySpaceIntervalSystemCalibrationConfigOutput.class);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySpaceIntervalSystemCalibrationConfigOutput> dynamicQuerySpaceIntervalSystemCalibrationConfig(XContext context, CustomQueryInput input) {
        SpaceIntervalSystemCalibrationConfigMapper mapper = context.getBean(SpaceIntervalSystemCalibrationConfigMapper.class);
        return XMapperHelper.query(mapper, input, SpaceIntervalSystemCalibrationConfigEnt.class, QuerySpaceIntervalSystemCalibrationConfigOutput.class);
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult<GetSpaceIntervalSystemCalibrationConfigViewOutput> getSpaceIntervalSystemCalibrationConfigView(XContext context, GetSpaceIntervalSystemCalibrationConfigViewInput input) {
        SpaceIntervalSystemCalibrationConfigViewMapper mapper = context.getBean(SpaceIntervalSystemCalibrationConfigViewMapper.class);
        SpaceIntervalSystemCalibrationConfigView record = new SpaceIntervalSystemCalibrationConfigView();
        XCopyUtils.copyObject(input, record);
        SpaceIntervalSystemCalibrationConfigView view = mapper.selectOne(record);
        if (view == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSpaceIntervalSystemCalibrationConfigViewOutput output = new GetSpaceIntervalSystemCalibrationConfigViewOutput();
        XCopyUtils.copyObject(view, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySpaceIntervalSystemCalibrationConfigViewOutput> querySpaceIntervalSystemCalibrationConfigView(XContext context, QuerySpaceIntervalSystemCalibrationConfigViewInput input) {
        SpaceIntervalSystemCalibrationConfigViewMapper mapper = context.getBean(SpaceIntervalSystemCalibrationConfigViewMapper.class);
        SpaceIntervalSystemCalibrationConfigView record = new SpaceIntervalSystemCalibrationConfigView();
        XCopyUtils.copyObject(input, record);
        PageHelper.startPage(input.getPage(), input.getLimit());
        List<SpaceIntervalSystemCalibrationConfigView> list = mapper.selectList(record);
        PageInfo<SpaceIntervalSystemCalibrationConfigView> pageInfo = new PageInfo<>(list);
        List<QuerySpaceIntervalSystemCalibrationConfigViewOutput> outputs = XCopyUtils.copyNewList(pageInfo.getList(), QuerySpaceIntervalSystemCalibrationConfigViewOutput.class);
        return XPageResult.success(outputs, input, pageInfo.getTotal());
    }

}
