package pps.core.space.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import pps.core.space.entity.SpaceIntervalSystemCalibrationEnt;
import pps.core.space.entity.SpaceIntervalSystemCalibrationView;
import pps.core.space.mapper.SpaceIntervalSystemCalibrationMapper;
import pps.core.space.mapper.SpaceIntervalSystemCalibrationViewMapper;
import pps.core.space.service.data.space_interval_system_calibration.*;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.data.CustomQueryInput;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XPageResult;
import xstartup.data.XServiceResult;
import xstartup.data.XSingleResult;
import xstartup.error.XError;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.feature.api.annotation.XApiGet;
import xstartup.feature.api.annotation.XApiPost;
import xstartup.feature.mybatis.helper.XMapperHelper;

import java.util.List;

@XService
public class SpaceIntervalSystemCalibrationService {
    @XApiAnonymous
    @XApiPost
    public XServiceResult createSpaceIntervalSystemCalibration(XContext context, CreateSpaceIntervalSystemCalibrationInput input) {
        SpaceIntervalSystemCalibrationMapper mapper = context.getBean(SpaceIntervalSystemCalibrationMapper.class);
        SpaceIntervalSystemCalibrationEnt entity = new SpaceIntervalSystemCalibrationEnt();
        XCopyUtils.copyObject(input, entity);
        mapper.insert(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult updateSpaceIntervalSystemCalibration(XContext context, UpdateSpaceIntervalSystemCalibrationInput input) {
        SpaceIntervalSystemCalibrationMapper mapper = context.getBean(SpaceIntervalSystemCalibrationMapper.class);
        QueryWrapper<SpaceIntervalSystemCalibrationEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SpaceIntervalSystemCalibrationEnt::getId, input.getId());
        SpaceIntervalSystemCalibrationEnt entity = mapper.selectOne(queryWrapper);
        if (entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        XCopyUtils.copyObject(input, entity);
        mapper.updateById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiPost
    public XServiceResult deleteSpaceIntervalSystemCalibration(XContext context, DeleteSpaceIntervalSystemCalibrationInput input) {
        SpaceIntervalSystemCalibrationMapper mapper = context.getBean(SpaceIntervalSystemCalibrationMapper.class);
        QueryWrapper<SpaceIntervalSystemCalibrationEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SpaceIntervalSystemCalibrationEnt::getId, input.getId());
        SpaceIntervalSystemCalibrationEnt entity = mapper.selectOne(queryWrapper);
        if (entity == null) {
            return XServiceResult.error(context, XError.NotFound);
        }
        mapper.deleteById(entity);
        return XServiceResult.OK;
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult<GetSpaceIntervalSystemCalibrationOutput> getSpaceIntervalSystemCalibration(XContext context, GetSpaceIntervalSystemCalibrationInput input) {
        SpaceIntervalSystemCalibrationMapper mapper = context.getBean(SpaceIntervalSystemCalibrationMapper.class);
        QueryWrapper<SpaceIntervalSystemCalibrationEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SpaceIntervalSystemCalibrationEnt::getId, input.getId());
        SpaceIntervalSystemCalibrationEnt entity = mapper.selectOne(queryWrapper);
        if (entity == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSpaceIntervalSystemCalibrationOutput output = new GetSpaceIntervalSystemCalibrationOutput();
        XCopyUtils.copyObject(entity, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySpaceIntervalSystemCalibrationOutput> querySpaceIntervalSystemCalibration(XContext context, QuerySpaceIntervalSystemCalibrationInput input) {
        SpaceIntervalSystemCalibrationMapper mapper = context.getBean(SpaceIntervalSystemCalibrationMapper.class);
        QueryWrapper<SpaceIntervalSystemCalibrationEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().like(SpaceIntervalSystemCalibrationEnt::getId, input.getId())
                .eq(SpaceIntervalSystemCalibrationEnt::getIsDeleted, input.getIsDeleted())
                .like(SpaceIntervalSystemCalibrationEnt::getCreateById, input.getCreateById())
                .like(SpaceIntervalSystemCalibrationEnt::getCreateByName, input.getCreateByName())
                .eq(SpaceIntervalSystemCalibrationEnt::getCreateTime, input.getCreateTime())
                .like(SpaceIntervalSystemCalibrationEnt::getModifyById, input.getModifyById())
                .like(SpaceIntervalSystemCalibrationEnt::getModifyByName, input.getModifyByName())
                .eq(SpaceIntervalSystemCalibrationEnt::getModifyTime, input.getModifyTime())
                .like(SpaceIntervalSystemCalibrationEnt::getOuId, input.getOuId())
                .like(SpaceIntervalSystemCalibrationEnt::getOuName, input.getOuName())
                .like(SpaceIntervalSystemCalibrationEnt::getLineId, input.getLineId())
                .like(SpaceIntervalSystemCalibrationEnt::getLineName, input.getLineName())
                .like(SpaceIntervalSystemCalibrationEnt::getGridTypeKey, input.getGridTypeKey())
                .like(SpaceIntervalSystemCalibrationEnt::getGridTypeName, input.getGridTypeName())
                .like(SpaceIntervalSystemCalibrationEnt::getSystemName, input.getSystemName())
                .like(SpaceIntervalSystemCalibrationEnt::getImplementStartDate, input.getImplementStartDate())
                .like(SpaceIntervalSystemCalibrationEnt::getImplementEndDate, input.getImplementEndDate())
                .like(SpaceIntervalSystemCalibrationEnt::getCalibrationDate, input.getCalibrationDate())
                .eq(SpaceIntervalSystemCalibrationEnt::getImplementStatus, input.getImplementStatus());
        return XMapperHelper.query(mapper, input, queryWrapper, QuerySpaceIntervalSystemCalibrationOutput.class);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySpaceIntervalSystemCalibrationOutput> dynamicQuerySpaceIntervalSystemCalibration(XContext context, CustomQueryInput input) {
        SpaceIntervalSystemCalibrationMapper mapper = context.getBean(SpaceIntervalSystemCalibrationMapper.class);
        return XMapperHelper.query(mapper, input, SpaceIntervalSystemCalibrationEnt.class, QuerySpaceIntervalSystemCalibrationOutput.class);
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult<GetSpaceIntervalSystemCalibrationViewOutput> getSpaceIntervalSystemCalibrationView(XContext context, GetSpaceIntervalSystemCalibrationViewInput input) {
        SpaceIntervalSystemCalibrationViewMapper mapper = context.getBean(SpaceIntervalSystemCalibrationViewMapper.class);
        SpaceIntervalSystemCalibrationView record = new SpaceIntervalSystemCalibrationView();
        XCopyUtils.copyObject(input, record);
        SpaceIntervalSystemCalibrationView view = mapper.selectOne(record);
        if (view == null) {
            return XSingleResult.error(context, XError.NotFound);
        }
        GetSpaceIntervalSystemCalibrationViewOutput output = new GetSpaceIntervalSystemCalibrationViewOutput();
        XCopyUtils.copyObject(view, output);
        return XSingleResult.success(output);
    }

    @XApiAnonymous
    @XApiGet
    public XPageResult<QuerySpaceIntervalSystemCalibrationViewOutput> querySpaceIntervalSystemCalibrationView(XContext context, QuerySpaceIntervalSystemCalibrationViewInput input) {
        SpaceIntervalSystemCalibrationViewMapper mapper = context.getBean(SpaceIntervalSystemCalibrationViewMapper.class);
        SpaceIntervalSystemCalibrationView record = new SpaceIntervalSystemCalibrationView();
        XCopyUtils.copyObject(input, record);
        PageHelper.startPage(input.getPage(), input.getLimit());
        List<SpaceIntervalSystemCalibrationView> list = mapper.selectList(record);
        PageInfo<SpaceIntervalSystemCalibrationView> pageInfo = new PageInfo<>(list);
        List<QuerySpaceIntervalSystemCalibrationViewOutput> outputs = XCopyUtils.copyNewList(pageInfo.getList(), QuerySpaceIntervalSystemCalibrationViewOutput.class);
        return XPageResult.success(outputs, input, pageInfo.getTotal());
    }

}
