package app;

import pps.core.task.job.TestJob;
import pps.core.task.job.WeatherJob;
import xstartup.base.XStartup;
import xstartup.base.conf.XServerConf;
import xstartup.base.conf.XServiceConf;
import xstartup.base.util.XEncryptUtils;
import xstartup.boot.XStartupApplication;
import xstartup.feature.XJobFeature;
import xstartup.feature.api.XApiFeature;
import xstartup.feature.api.conf.XApiCookieConf;
import xstartup.feature.cors.XCorsFeature;
import xstartup.feature.mybatis.XMybatisFeature;
import xstartup.feature.rpc.XRpcFeature;
import xstartup.feature.swagger.XSwaggerFeature;
import xstartup.service.job.conf.XJobServiceConf;

//import xstartup.feature.cloud.XCloudHuaweiCseFeature;

public class DeployPpsAllApplication {
    public static void main(String... args){
        System.out.println(XEncryptUtils.encrypt("!qwe@azx#12W3"));
        XStartup startup = new XStartupApplication("pps");
        startup.config(new XServerConf(22060).naming("pps-all"));
        startup.config(new XServiceConf("pps"));
        startup.enable(XApiFeature.class)
                .config(new XApiCookieConf("%4bH8s9&",43200));
        startup.enable(XSwaggerFeature.class);
        startup.enable(XMybatisFeature.class);
        startup.enable(XRpcFeature.class);
        startup.enable(XCorsFeature.class);
        startup.enable(XJobFeature.class).config(new XJobServiceConf(TestJob.class));
        startup.enable(XJobFeature.class).config(new XJobServiceConf(WeatherJob.class));
        //startup.enable(XCloudHuaweiCseFeature.class);
        startup.run(args);
    }
}
