package app;

//import pps.core.common.job.CounterJob;
import pps.core.common.utils.CounterBuilder;
import pps.core.task.job.*;
import xstartup.base.XStartup;
import xstartup.base.conf.XServerConf;
import xstartup.base.conf.XServiceConf;
import xstartup.boot.XStartupApplication;
import xstartup.feature.XJobFeature;
import xstartup.feature.api.XApiFeature;
import xstartup.feature.api.conf.XApiCookieConf;
import xstartup.feature.cloud.XCloudHuaweiCseFeature;
import xstartup.feature.cloud.conf.XCloudBundle;
import xstartup.feature.cloud.conf.XCloudBundlesConf;
import xstartup.feature.cors.XCorsFeature;
import xstartup.feature.mybatis.XMybatisFeature;
import xstartup.feature.rpc.XRpcFeature;
import xstartup.service.job.conf.XJobServiceConf;

public class DeployPpsTaskApplication {
    public static void main(String... args) {
        System.out.println("println--DeployPpsTaskApplication");
        CounterBuilder.globalCounterBuilder.setFieldValue(CounterBuilder.DEPLOY_KEY, DeployPpsTaskApplication.class.getSimpleName());
        XStartup startup = new XStartupApplication("pps");
        startup.config(new XServerConf(22062).naming("pps-task"))
                .config(new XServiceConf("pps"));
        startup.enable(XApiFeature.class)
                .config(new XApiCookieConf("%4bH8s9&",43200));
        startup.enable(XCorsFeature.class);
        startup.enable(XMybatisFeature.class);
        startup.enable(XJobFeature.class).config(new XJobServiceConf(TestJob.class));
        startup.enable(XJobFeature.class).config(new XJobServiceConf(WeatherJob.class));

        startup.enable(XRpcFeature.class);
        startup.enable(XCloudHuaweiCseFeature.class)
                .config(XCloudBundlesConf.with(
//                        XCloudBundle.naming("pps-workflow").addModule("pps", "cloud", "task"),
                        XCloudBundle.naming("pps-base-info").addModule("pps", "cloud", "system"),
                        XCloudBundle.naming("pps-base-info").addModule("pps", "cloud", "base")));

        startup.run(args);
    }
}
